set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "CHEMVL on a <GeForce TitanBlack>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_TITAN_CHEMVL.eps"
plot   "log-ASPEN.K2-1.5p9-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-ASPEN.K2-1.5p9-CHEMVL-GTXTITANBlack-367.48" , "log-CUDA-8.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-CUDA-8.0-CHEMVL-GTXTITANBlack-367.48" , "log-CUDA-8.0-CHEMVLnoAtomic-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-CUDA-8.0-CHEMVLnoAtomic-GTXTITANBlack-367.48" , "log-MAGMA-2.1.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-MAGMA-2.1.0-CHEMVL-GTXTITANBlack-367.48" , "log-MAGMA2-2.1.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-MAGMA2-2.1.0-CHEMVL-GTXTITANBlack-367.48" 
clear
set term png
set output "plot_data_TITAN_CHEMVL.png"
plot   "log-ASPEN.K2-1.5p9-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-ASPEN.K2-1.5p9-CHEMVL-GTXTITANBlack-367.48" , "log-CUDA-8.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-CUDA-8.0-CHEMVL-GTXTITANBlack-367.48" , "log-CUDA-8.0-CHEMVLnoAtomic-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-CUDA-8.0-CHEMVLnoAtomic-GTXTITANBlack-367.48" , "log-MAGMA-2.1.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-MAGMA-2.1.0-CHEMVL-GTXTITANBlack-367.48" , "log-MAGMA2-2.1.0-CHEMVL-GTXTITANBlack-367.48" u 2:($5<2*422.626?$5:-1000) t "log-MAGMA2-2.1.0-CHEMVL-GTXTITANBlack-367.48" 
clear
exit
