#!/bin/sh

if [ -e ASPEN.K2-1.5p9 ]; then
  \rm -rf ASPEN.K2-1.5p9
fi

#P_LIST=$1
#C_LIST=$2
P_LIST="s d c z"
C_LIST="7000 7050 8000"
F_LIST="u l"

for CUDA in $C_LIST
do
  for FORMAT in $F_LIST
  do
    for PRECISION in $P_LIST
    do

      if [ $CUDA = '7000' ]; then
CG_Type=" 200 300 350 500 520 530"
      fi
      if [ $CUDA = '7050' ]; then
CG_Type=" 200 300 350 500 520 530"
      fi
      if [ $CUDA = '8000' ]; then
CG_Type=" 200 300 350 500 520 530 600 610 620"
      fi

      for CG in $CG_Type
      do

        if [ -e ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG ]; then
          \rm -rf ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG
        fi

        tar -zxf ASPEN.K2-1.5p9.tgz
        mv ASPEN.K2-1.5p9 ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG

        if [ -f .ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG ]; then
          \rm .ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG
	fi

      done

    done
  done
done

if [ -f .all_done_reguse ]; then
	\rm .all_done_reguse
fi

echo -n 'all: '     > Makefile_1
echo ''     > Makefile_2

for CUDA in $C_LIST
do
  for FORMAT in $F_LIST
  do
    for PRECISION in $P_LIST
    do

      if [ $CUDA = '7000' ]; then
CG_Type=" 200 300 350 500 520 530"
      fi
      if [ $CUDA = '7050' ]; then
CG_Type=" 200 300 350 500 520 530"
      fi
      if [ $CUDA = '8000' ]; then
CG_Type=" 200 300 350 500 520 530 600 610 620"
      fi

      for CG in $CG_Type
      do

        echo -n ' '.ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG >> Makefile_1

	echo .ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG: >> Makefile_2
	echo '	cd 'ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG/tuning'; \' >> Makefile_2
	echo '	/bin/sh symv_reguse.sh ' $PRECISION $FORMAT $CUDA $CG' >& log-symv_reguse' >> Makefile_2
	echo '	touch '.ASPEN.K2-1.5p9-$PRECISION-$FORMAT-$CUDA-$CG >> Makefile_2

      done

    done
  done
done


cat Makefile_1 >  Makefile_reguse
echo ''        >> Makefile_reguse
cat Makefile_2 >> Makefile_reguse

make -f Makefile_reguse -j8

#/bin/sh ./reguse-after.sh

