
template < class TYPE >
__forceinline__ __host__ __device__ bool
isDouble ( void ) { return false; }

template < >
__forceinline__ __host__ __device__ bool
isDouble < double > ( void ) { return true; }


template < class TYPE >
__forceinline__ __host__ __device__ bool
isFloat ( void ) { return false; }

template < >
__forceinline__ __host__ __device__ bool
isFloat < float > ( void ) { return true; }


#if defined(half)
template < class TYPE >
__forceinline__ __host__ __device__ bool
isHalf ( void ) { return false; }

template < >
__forceinline__ __host__ __device__ bool
isHalf < half > ( void ) { return true; }
#endif


template < class TYPE >
__forceinline__ __host__ __device__ bool
isDoubleComplex ( void ) { return false; }

template < >
__forceinline__ __host__ __device__ bool
isDoubleComplex < cuDoubleComplex > ( void ) { return true; }


template < class TYPE >
__forceinline__ __host__ __device__ bool
isFloatComplex ( void ) { return false; }

template < >
__forceinline__ __host__ __device__ bool
isFloatComplex < cuFloatComplex > ( void ) { return true; }

