#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Sun Oct 16 21:38:01 JST 2016
Host on pascal.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8504148480
// for double or cuFloatComplex
MAXDIM= 30973
// for float
MAXDIM2= 43803
// for cuFloatComplex or DD
MAXDIM3= 21901
// for DD-Complex
MAXDIM4= 15486
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 610
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-upper-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 64, 3, 51, 4, 0 },
	{ 64, 3, 51, 4, 1 },
	{ 64, 3, 51, 4, 8 },
	{ 64, 3, 51, 4, 4 },
	{ 64, 5, 60, 3, 8 },
	{ 64, 3, 51, 4, 9 },
	{ 64, 4, 64, 3, 8 },
	{ 64, 4, 68, 3, 6 },
	{ 64, 2, 64, 4, 9 },
	{ 64, 3, 69, 3, 8 },
	{ 64, 3, 51, 4, 5 },
	{ 64, 3, 51, 4, 7 },
	{ 64, 4, 68, 3, 9 },
	{ 128, 2, 34, 3, 3 },
	{ 64, 3, 51, 4, 3 },
	{ 64, 4, 68, 3, 7 },
	{ 64, 8, 64, 2, 9 },
	{ 64, 8, 64, 2, 8 },
	{ 64, 8, 64, 2, 1 },
	{ 64, 3, 51, 4, 6 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 60, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 64, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 68, 3, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 2, 64, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 69, 3, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 68, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 128, 2, 34, 3, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 68, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 8, 64, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 8, 64, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 8, 64, 2, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(SYMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 3, 51, 4, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
