#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Nov 11 18:54:30 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_13	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 12 ) {
	BLK = 18;
} else
if ( n >= 12 && n < 92 ) {
	BLK = 7;
} else
if ( n >= 92 && n < 145 ) {
	BLK = 8;
} else
if ( n >= 145 && n < 838 ) {
	BLK = 2;
} else
if ( n >= 838 && n < 886 ) {
	BLK = 8;
} else
if ( n >= 886 && n < 896 ) {
	BLK = 2;
} else
if ( n >= 896 && n < 930 ) {
	BLK = 9;
} else
if ( n >= 930 && n < 1703 ) {
	BLK = 2;
} else
if ( n >= 1703 && n < 1872 ) {
	BLK = 8;
} else
if ( n >= 1872 && n < 1933 ) {
	BLK = 16;
} else
if ( n >= 1933 && n < 2153 ) {
	BLK = 9;
} else
if ( n >= 2153 && n < 2381 ) {
	BLK = 8;
} else
if ( n >= 2381 && n < 2790 ) {
	BLK = 9;
} else
if ( n >= 2790 && n < 3061 ) {
	BLK = 16;
} else
if ( n >= 3061 && n < 3196 ) {
	BLK = 9;
} else
if ( n >= 3196 && n < 3797 ) {
	BLK = 16;
} else
if ( n >= 3797 && n < 4275 ) {
	BLK = 9;
} else
if ( n >= 4275 && n < 4582 ) {
	BLK = 16;
} else
if ( n >= 4582 && n < 4650 ) {
	BLK = 9;
} else
if ( n >= 4650 && n < 4968 ) {
	BLK = 16;
} else
if ( n >= 4968 && n < 5096 ) {
	BLK = 9;
} else
if ( n >= 5096 && n < 6264 ) {
	BLK = 16;
} else
if ( n >= 6264 && n < 6514 ) {
	BLK = 9;
} else
if ( n >= 6514 && n < 7659 ) {
	BLK = 16;
} else
if ( n >= 7659 && n < 7825 ) {
	BLK = 9;
} else
if ( n >= 7825 && n < 8065 ) {
	BLK = 16;
} else
if ( n >= 8065 && n < 8099 ) {
	BLK = 9;
} else
if ( n >= 8099 && n < 10461 ) {
	BLK = 16;
} else
if ( n >= 10461 && n < 10556 ) {
	BLK = 9;
} else
if ( n >= 10556 && n < 12723 ) {
	BLK = 16;
} else
if ( n >= 12723 && n < 13001 ) {
	BLK = 13;
} else
if ( n >= 13001 && n < 13675 ) {
	BLK = 16;
} else
if ( n >= 13675 && n < 13756 ) {
	BLK = 9;
} else
if ( n >= 13756 && n < 16997 ) {
	BLK = 16;
} else
if ( n >= 16997 && n < 17269 ) {
	BLK = 9;
} else
if ( n >= 17269 && n < 19478 ) {
	BLK = 16;
} else
if ( n >= 19478 && n < 19892 ) {
	BLK = 9;
} else
if ( n >= 19892 && n < 20760 ) {
	BLK = 16;
} else
if ( n >= 20760 && n < 21019 ) {
	BLK = 9;
} else
if ( n >= 21019 && n < 1000000 ) {
	BLK = 16;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 16;
}
