#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Tue Nov  8 23:35:06 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 87 ) {
	BLK = 12;
} else
if ( n >= 87 && n < 133 ) {
	BLK = 8;
} else
if ( n >= 133 && n < 268 ) {
	BLK = 11;
} else
if ( n >= 268 && n < 302 ) {
	BLK = 10;
} else
if ( n >= 302 && n < 358 ) {
	BLK = 11;
} else
if ( n >= 358 && n < 360 ) {
	BLK = 2;
} else
if ( n >= 360 && n < 433 ) {
	BLK = 10;
} else
if ( n >= 433 && n < 441 ) {
	BLK = 2;
} else
if ( n >= 441 && n < 1376 ) {
	BLK = 11;
} else
if ( n >= 1376 && n < 1446 ) {
	BLK = 2;
} else
if ( n >= 1446 && n < 1706 ) {
	BLK = 11;
} else
if ( n >= 1706 && n < 1801 ) {
	BLK = 10;
} else
if ( n >= 1801 && n < 2006 ) {
	BLK = 9;
} else
if ( n >= 2006 && n < 2290 ) {
	BLK = 10;
} else
if ( n >= 2290 && n < 2438 ) {
	BLK = 9;
} else
if ( n >= 2438 && n < 2818 ) {
	BLK = 10;
} else
if ( n >= 2818 && n < 3055 ) {
	BLK = 9;
} else
if ( n >= 3055 && n < 3144 ) {
	BLK = 10;
} else
if ( n >= 3144 && n < 3375 ) {
	BLK = 16;
} else
if ( n >= 3375 && n < 3453 ) {
	BLK = 9;
} else
if ( n >= 3453 && n < 4797 ) {
	BLK = 10;
} else
if ( n >= 4797 && n < 4928 ) {
	BLK = 3;
} else
if ( n >= 4928 && n < 5066 ) {
	BLK = 10;
} else
if ( n >= 5066 && n < 5321 ) {
	BLK = 3;
} else
if ( n >= 5321 && n < 5407 ) {
	BLK = 1;
} else
if ( n >= 5407 && n < 5739 ) {
	BLK = 10;
} else
if ( n >= 5739 && n < 5860 ) {
	BLK = 3;
} else
if ( n >= 5860 && n < 5972 ) {
	BLK = 1;
} else
if ( n >= 5972 && n < 6174 ) {
	BLK = 3;
} else
if ( n >= 6174 && n < 6459 ) {
	BLK = 10;
} else
if ( n >= 6459 && n < 7229 ) {
	BLK = 3;
} else
if ( n >= 7229 && n < 7307 ) {
	BLK = 1;
} else
if ( n >= 7307 && n < 12192 ) {
	BLK = 3;
} else
if ( n >= 12192 && n < 12384 ) {
	BLK = 1;
} else
if ( n >= 12384 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
