#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV -U
Mon Nov  7 22:04:01 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_5	1
#define	KERNEL_19	1
#define	KERNEL_10	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 134 ) {
	BLK = 16;
} else
if ( n >= 134 && n < 171 ) {
	BLK = 2;
} else
if ( n >= 171 && n < 238 ) {
	BLK = 19;
} else
if ( n >= 238 && n < 322 ) {
	BLK = 16;
} else
if ( n >= 322 && n < 395 ) {
	BLK = 18;
} else
if ( n >= 395 && n < 424 ) {
	BLK = 16;
} else
if ( n >= 424 && n < 455 ) {
	BLK = 10;
} else
if ( n >= 455 && n < 456 ) {
	BLK = 3;
} else
if ( n >= 456 && n < 503 ) {
	BLK = 19;
} else
if ( n >= 503 && n < 574 ) {
	BLK = 5;
} else
if ( n >= 574 && n < 576 ) {
	BLK = 18;
} else
if ( n >= 576 && n < 657 ) {
	BLK = 10;
} else
if ( n >= 657 && n < 693 ) {
	BLK = 19;
} else
if ( n >= 693 && n < 706 ) {
	BLK = 16;
} else
if ( n >= 706 && n < 749 ) {
	BLK = 18;
} else
if ( n >= 749 && n < 890 ) {
	BLK = 10;
} else
if ( n >= 890 && n < 1008 ) {
	BLK = 16;
} else
if ( n >= 1008 && n < 1010 ) {
	BLK = 10;
} else
if ( n >= 1010 && n < 1165 ) {
	BLK = 12;
} else
if ( n >= 1165 && n < 1167 ) {
	BLK = 13;
} else
if ( n >= 1167 && n < 1388 ) {
	BLK = 16;
} else
if ( n >= 1388 && n < 1725 ) {
	BLK = 2;
} else
if ( n >= 1725 && n < 2637 ) {
	BLK = 16;
} else
if ( n >= 2637 && n < 2874 ) {
	BLK = 5;
} else
if ( n >= 2874 && n < 3038 ) {
	BLK = 19;
} else
if ( n >= 3038 && n < 3625 ) {
	BLK = 5;
} else
if ( n >= 3625 && n < 3774 ) {
	BLK = 19;
} else
if ( n >= 3774 && n < 4059 ) {
	BLK = 5;
} else
if ( n >= 4059 && n < 4133 ) {
	BLK = 2;
} else
if ( n >= 4133 && n < 4219 ) {
	BLK = 16;
} else
if ( n >= 4219 && n < 4662 ) {
	BLK = 19;
} else
if ( n >= 4662 && n < 4735 ) {
	BLK = 16;
} else
if ( n >= 4735 && n < 6151 ) {
	BLK = 5;
} else
if ( n >= 6151 && n < 6344 ) {
	BLK = 19;
} else
if ( n >= 6344 && n < 7164 ) {
	BLK = 5;
} else
if ( n >= 7164 && n < 7513 ) {
	BLK = 16;
} else
if ( n >= 7513 && n < 8008 ) {
	BLK = 5;
} else
if ( n >= 8008 && n < 8186 ) {
	BLK = 16;
} else
if ( n >= 8186 && n < 8490 ) {
	BLK = 5;
} else
if ( n >= 8490 && n < 8944 ) {
	BLK = 16;
} else
if ( n >= 8944 && n < 9313 ) {
	BLK = 5;
} else
if ( n >= 9313 && n < 9486 ) {
	BLK = 16;
} else
if ( n >= 9486 && n < 10061 ) {
	BLK = 5;
} else
if ( n >= 10061 && n < 10085 ) {
	BLK = 19;
} else
if ( n >= 10085 && n < 10433 ) {
	BLK = 16;
} else
if ( n >= 10433 && n < 10766 ) {
	BLK = 5;
} else
if ( n >= 10766 && n < 11197 ) {
	BLK = 16;
} else
if ( n >= 11197 && n < 11735 ) {
	BLK = 5;
} else
if ( n >= 11735 && n < 11752 ) {
	BLK = 16;
} else
if ( n >= 11752 && n < 12181 ) {
	BLK = 19;
} else
if ( n >= 12181 && n < 12345 ) {
	BLK = 16;
} else
if ( n >= 12345 && n < 14834 ) {
	BLK = 5;
} else
if ( n >= 14834 && n < 14846 ) {
	BLK = 19;
} else
if ( n >= 14846 && n < 15450 ) {
	BLK = 16;
} else
if ( n >= 15450 && n < 16819 ) {
	BLK = 5;
} else
if ( n >= 16819 && n < 17429 ) {
	BLK = 19;
} else
if ( n >= 17429 && n < 18498 ) {
	BLK = 5;
} else
if ( n >= 18498 && n < 18793 ) {
	BLK = 16;
} else
if ( n >= 18793 && n < 19968 ) {
	BLK = 5;
} else
if ( n >= 19968 && n < 20986 ) {
	BLK = 16;
} else
if ( n >= 20986 && n < 22352 ) {
	BLK = 5;
} else
if ( n >= 22352 && n < 26481 ) {
	BLK = 16;
} else
if ( n >= 26481 && n < 29368 ) {
	BLK = 5;
} else
if ( n >= 29368 && n < 29960 ) {
	BLK = 16;
} else
if ( n >= 29960 && n < 1000000 ) {
	BLK = 5;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 5;
}
