#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sun Nov  6 02:59:23 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 36 ) {
	BLK = 13;
} else
if ( n >= 36 && n < 104 ) {
	BLK = 1;
} else
if ( n >= 104 && n < 105 ) {
	BLK = 11;
} else
if ( n >= 105 && n < 126 ) {
	BLK = 7;
} else
if ( n >= 126 && n < 140 ) {
	BLK = 3;
} else
if ( n >= 140 && n < 191 ) {
	BLK = 6;
} else
if ( n >= 191 && n < 742 ) {
	BLK = 8;
} else
if ( n >= 742 && n < 780 ) {
	BLK = 9;
} else
if ( n >= 780 && n < 814 ) {
	BLK = 5;
} else
if ( n >= 814 && n < 893 ) {
	BLK = 8;
} else
if ( n >= 893 && n < 907 ) {
	BLK = 9;
} else
if ( n >= 907 && n < 964 ) {
	BLK = 5;
} else
if ( n >= 964 && n < 966 ) {
	BLK = 8;
} else
if ( n >= 966 && n < 1171 ) {
	BLK = 4;
} else
if ( n >= 1171 && n < 1470 ) {
	BLK = 6;
} else
if ( n >= 1470 && n < 2174 ) {
	BLK = 3;
} else
if ( n >= 2174 && n < 2746 ) {
	BLK = 2;
} else
if ( n >= 2746 && n < 3597 ) {
	BLK = 3;
} else
if ( n >= 3597 && n < 3882 ) {
	BLK = 2;
} else
if ( n >= 3882 && n < 4033 ) {
	BLK = 3;
} else
if ( n >= 4033 && n < 7826 ) {
	BLK = 1;
} else
if ( n >= 7826 && n < 8211 ) {
	BLK = 12;
} else
if ( n >= 8211 && n < 10765 ) {
	BLK = 1;
} else
if ( n >= 10765 && n < 10976 ) {
	BLK = 12;
} else
if ( n >= 10976 && n < 12130 ) {
	BLK = 1;
} else
if ( n >= 12130 && n < 12460 ) {
	BLK = 12;
} else
if ( n >= 12460 && n < 18733 ) {
	BLK = 1;
} else
if ( n >= 18733 && n < 19620 ) {
	BLK = 12;
} else
if ( n >= 19620 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
