#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Nov  4 05:18:02 JST 2016
Host on gwacsg25
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6039118336
// for double or cuFloatComplex
MAXDIM= 26101
// for float
MAXDIM2= 36913
// for cuDoubleComplex or DD
MAXDIM3= 18456
// for DD-Complex
MAXDIM4= 13050
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "chemv-upper-auto2.h"
}
//==========
#if 0
struct chemv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 32, 7, 9 },
	{ 64, 6, 54, 2, 0 },
	{ 64, 6, 54, 2, 6 },
	{ 96, 4, 36, 2, 9 },
	{ 96, 4, 32, 2, 5 },
	{ 64, 5, 30, 3, 3 },
	{ 64, 4, 24, 4, 5 },
	{ 32, 4, 32, 7, 5 },
	{ 96, 4, 36, 2, 6 },
	{ 96, 4, 36, 2, 0 },
	{ 32, 8, 48, 4, 8 },
	{ 64, 6, 48, 2, 9 },
	{ 64, 6, 54, 2, 9 },
	{ 96, 4, 32, 2, 6 },
	{ 32, 8, 48, 4, 7 },
	{ 96, 4, 32, 2, 4 },
	{ 32, 4, 32, 7, 7 },
	{ 64, 4, 36, 3, 0 },
	{ 64, 4, 36, 3, 9 },
	{ 64, 6, 54, 2, 5 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 54, 2, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 54, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 36, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 32, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 5, 30, 3, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 24, 4, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 36, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 36, 2, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 48, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 48, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 54, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 32, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 8, 48, 4, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 4, 32, 2, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 36, 3, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 36, 3, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(HEMVu_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 54, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
