#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Thu Nov  3 21:27:36 JST 2016
Host on gwacsg25
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6039118336
// for double or cuFloatComplex
MAXDIM= 26101
// for float
MAXDIM2= 36913
// for cuDoubleComplex or DD
MAXDIM3= 18456
// for DD-Complex
MAXDIM4= 13050
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "chemv-lower-auto2.h"
}
//==========
#if 0
struct chemv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 28, 8, 9 },
	{ 64, 8, 56, 2, 9 },
	{ 64, 8, 56, 2, 8 },
	{ 64, 6, 66, 2, 7 },
	{ 64, 6, 30, 3, 7 },
	{ 32, 4, 28, 8, 8 },
	{ 96, 5, 35, 2, 9 },
	{ 96, 5, 35, 2, 8 },
	{ 96, 5, 30, 2, 3 },
	{ 32, 4, 32, 7, 5 },
	{ 32, 4, 32, 7, 6 },
	{ 64, 4, 28, 4, 9 },
	{ 64, 6, 30, 3, 4 },
	{ 64, 4, 28, 4, 8 },
	{ 32, 7, 56, 4, 8 },
	{ 64, 7, 56, 2, 8 },
	{ 96, 5, 30, 2, 4 },
	{ 32, 4, 32, 7, 7 },
	{ 32, 4, 32, 7, 1 },
	{ 64, 7, 63, 2, 5 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 28, 8, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 8, 56, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 8, 56, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 66, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 30, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 28, 8, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 5, 35, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 5, 35, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 5, 30, 2, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 28, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 6, 30, 3, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 4, 28, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 7, 56, 4, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 7, 56, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 96, 5, 30, 2, 4 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 32, 4, 32, 7, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API(HEMVl_ATOMIC_host) < GPU_ARCH, scalar_t, 64, 7, 63, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
