#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Tue Nov  8 20:58:56 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 97 ) {
	BLK = 11;
} else
if ( n >= 97 && n < 203 ) {
	BLK = 8;
} else
if ( n >= 203 && n < 489 ) {
	BLK = 4;
} else
if ( n >= 489 && n < 523 ) {
	BLK = 13;
} else
if ( n >= 523 && n < 886 ) {
	BLK = 4;
} else
if ( n >= 886 && n < 1106 ) {
	BLK = 7;
} else
if ( n >= 1106 && n < 1864 ) {
	BLK = 5;
} else
if ( n >= 1864 && n < 2390 ) {
	BLK = 2;
} else
if ( n >= 2390 && n < 2528 ) {
	BLK = 5;
} else
if ( n >= 2528 && n < 2754 ) {
	BLK = 2;
} else
if ( n >= 2754 && n < 2973 ) {
	BLK = 5;
} else
if ( n >= 2973 && n < 3496 ) {
	BLK = 2;
} else
if ( n >= 3496 && n < 6267 ) {
	BLK = 3;
} else
if ( n >= 6267 && n < 6549 ) {
	BLK = 1;
} else
if ( n >= 6549 && n < 6747 ) {
	BLK = 3;
} else
if ( n >= 6747 && n < 7258 ) {
	BLK = 1;
} else
if ( n >= 7258 && n < 7514 ) {
	BLK = 3;
} else
if ( n >= 7514 && n < 7817 ) {
	BLK = 1;
} else
if ( n >= 7817 && n < 9629 ) {
	BLK = 3;
} else
if ( n >= 9629 && n < 9847 ) {
	BLK = 1;
} else
if ( n >= 9847 && n < 10211 ) {
	BLK = 3;
} else
if ( n >= 10211 && n < 10360 ) {
	BLK = 1;
} else
if ( n >= 10360 && n < 10583 ) {
	BLK = 9;
} else
if ( n >= 10583 && n < 10609 ) {
	BLK = 1;
} else
if ( n >= 10609 && n < 11436 ) {
	BLK = 3;
} else
if ( n >= 11436 && n < 11870 ) {
	BLK = 1;
} else
if ( n >= 11870 && n < 12627 ) {
	BLK = 3;
} else
if ( n >= 12627 && n < 13815 ) {
	BLK = 1;
} else
if ( n >= 13815 && n < 13893 ) {
	BLK = 3;
} else
if ( n >= 13893 && n < 14018 ) {
	BLK = 1;
} else
if ( n >= 14018 && n < 14756 ) {
	BLK = 3;
} else
if ( n >= 14756 && n < 14855 ) {
	BLK = 1;
} else
if ( n >= 14855 && n < 17203 ) {
	BLK = 3;
} else
if ( n >= 17203 && n < 17760 ) {
	BLK = 1;
} else
if ( n >= 17760 && n < 18697 ) {
	BLK = 3;
} else
if ( n >= 18697 && n < 19439 ) {
	BLK = 9;
} else
if ( n >= 19439 && n < 19594 ) {
	BLK = 1;
} else
if ( n >= 19594 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
