#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Tue Nov  8 15:46:15 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 175 ) {
	BLK = 6;
} else
if ( n >= 175 && n < 220 ) {
	BLK = 7;
} else
if ( n >= 220 && n < 306 ) {
	BLK = 6;
} else
if ( n >= 306 && n < 374 ) {
	BLK = 4;
} else
if ( n >= 374 && n < 431 ) {
	BLK = 6;
} else
if ( n >= 431 && n < 2076 ) {
	BLK = 4;
} else
if ( n >= 2076 && n < 3408 ) {
	BLK = 12;
} else
if ( n >= 3408 && n < 3477 ) {
	BLK = 16;
} else
if ( n >= 3477 && n < 6983 ) {
	BLK = 1;
} else
if ( n >= 6983 && n < 7367 ) {
	BLK = 2;
} else
if ( n >= 7367 && n < 8581 ) {
	BLK = 1;
} else
if ( n >= 8581 && n < 8654 ) {
	BLK = 2;
} else
if ( n >= 8654 && n < 9241 ) {
	BLK = 1;
} else
if ( n >= 9241 && n < 9319 ) {
	BLK = 2;
} else
if ( n >= 9319 && n < 10159 ) {
	BLK = 1;
} else
if ( n >= 10159 && n < 10386 ) {
	BLK = 2;
} else
if ( n >= 10386 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
