#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Tue Nov  8 22:28:00 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 134 ) {
	BLK = 5;
} else
if ( n >= 134 && n < 148 ) {
	BLK = 7;
} else
if ( n >= 148 && n < 251 ) {
	BLK = 3;
} else
if ( n >= 251 && n < 296 ) {
	BLK = 5;
} else
if ( n >= 296 && n < 405 ) {
	BLK = 3;
} else
if ( n >= 405 && n < 449 ) {
	BLK = 5;
} else
if ( n >= 449 && n < 621 ) {
	BLK = 3;
} else
if ( n >= 621 && n < 1095 ) {
	BLK = 5;
} else
if ( n >= 1095 && n < 2066 ) {
	BLK = 1;
} else
if ( n >= 2066 && n < 2129 ) {
	BLK = 4;
} else
if ( n >= 2129 && n < 2207 ) {
	BLK = 1;
} else
if ( n >= 2207 && n < 2341 ) {
	BLK = 4;
} else
if ( n >= 2341 && n < 2926 ) {
	BLK = 1;
} else
if ( n >= 2926 && n < 3108 ) {
	BLK = 4;
} else
if ( n >= 3108 && n < 3253 ) {
	BLK = 1;
} else
if ( n >= 3253 && n < 3319 ) {
	BLK = 9;
} else
if ( n >= 3319 && n < 3428 ) {
	BLK = 1;
} else
if ( n >= 3428 && n < 3746 ) {
	BLK = 2;
} else
if ( n >= 3746 && n < 3847 ) {
	BLK = 1;
} else
if ( n >= 3847 && n < 4022 ) {
	BLK = 6;
} else
if ( n >= 4022 && n < 4097 ) {
	BLK = 2;
} else
if ( n >= 4097 && n < 4419 ) {
	BLK = 6;
} else
if ( n >= 4419 && n < 4803 ) {
	BLK = 2;
} else
if ( n >= 4803 && n < 4842 ) {
	BLK = 4;
} else
if ( n >= 4842 && n < 4935 ) {
	BLK = 2;
} else
if ( n >= 4935 && n < 5234 ) {
	BLK = 1;
} else
if ( n >= 5234 && n < 5362 ) {
	BLK = 2;
} else
if ( n >= 5362 && n < 5544 ) {
	BLK = 4;
} else
if ( n >= 5544 && n < 5917 ) {
	BLK = 2;
} else
if ( n >= 5917 && n < 6293 ) {
	BLK = 4;
} else
if ( n >= 6293 && n < 6410 ) {
	BLK = 2;
} else
if ( n >= 6410 && n < 6545 ) {
	BLK = 1;
} else
if ( n >= 6545 && n < 6814 ) {
	BLK = 2;
} else
if ( n >= 6814 && n < 7009 ) {
	BLK = 1;
} else
if ( n >= 7009 && n < 7076 ) {
	BLK = 4;
} else
if ( n >= 7076 && n < 7089 ) {
	BLK = 1;
} else
if ( n >= 7089 && n < 7876 ) {
	BLK = 2;
} else
if ( n >= 7876 && n < 7976 ) {
	BLK = 6;
} else
if ( n >= 7976 && n < 8432 ) {
	BLK = 2;
} else
if ( n >= 8432 && n < 8478 ) {
	BLK = 1;
} else
if ( n >= 8478 && n < 8711 ) {
	BLK = 2;
} else
if ( n >= 8711 && n < 8926 ) {
	BLK = 1;
} else
if ( n >= 8926 && n < 9164 ) {
	BLK = 2;
} else
if ( n >= 9164 && n < 9230 ) {
	BLK = 1;
} else
if ( n >= 9230 && n < 9359 ) {
	BLK = 6;
} else
if ( n >= 9359 && n < 9546 ) {
	BLK = 4;
} else
if ( n >= 9546 && n < 9589 ) {
	BLK = 1;
} else
if ( n >= 9589 && n < 9714 ) {
	BLK = 2;
} else
if ( n >= 9714 && n < 9772 ) {
	BLK = 1;
} else
if ( n >= 9772 && n < 9976 ) {
	BLK = 11;
} else
if ( n >= 9976 && n < 10074 ) {
	BLK = 1;
} else
if ( n >= 10074 && n < 10168 ) {
	BLK = 2;
} else
if ( n >= 10168 && n < 10228 ) {
	BLK = 9;
} else
if ( n >= 10228 && n < 10482 ) {
	BLK = 4;
} else
if ( n >= 10482 && n < 10551 ) {
	BLK = 1;
} else
if ( n >= 10551 && n < 10602 ) {
	BLK = 4;
} else
if ( n >= 10602 && n < 10707 ) {
	BLK = 2;
} else
if ( n >= 10707 && n < 10849 ) {
	BLK = 4;
} else
if ( n >= 10849 && n < 11133 ) {
	BLK = 1;
} else
if ( n >= 11133 && n < 12028 ) {
	BLK = 2;
} else
if ( n >= 12028 && n < 12515 ) {
	BLK = 4;
} else
if ( n >= 12515 && n < 12896 ) {
	BLK = 2;
} else
if ( n >= 12896 && n < 13001 ) {
	BLK = 1;
} else
if ( n >= 13001 && n < 13389 ) {
	BLK = 4;
} else
if ( n >= 13389 && n < 14440 ) {
	BLK = 2;
} else
if ( n >= 14440 && n < 14725 ) {
	BLK = 4;
} else
if ( n >= 14725 && n < 15294 ) {
	BLK = 2;
} else
if ( n >= 15294 && n < 16130 ) {
	BLK = 1;
} else
if ( n >= 16130 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
