#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Tue Nov  8 17:32:29 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 107 ) {
	BLK = 6;
} else
if ( n >= 107 && n < 124 ) {
	BLK = 8;
} else
if ( n >= 124 && n < 180 ) {
	BLK = 18;
} else
if ( n >= 180 && n < 266 ) {
	BLK = 11;
} else
if ( n >= 266 && n < 322 ) {
	BLK = 18;
} else
if ( n >= 322 && n < 362 ) {
	BLK = 11;
} else
if ( n >= 362 && n < 395 ) {
	BLK = 8;
} else
if ( n >= 395 && n < 405 ) {
	BLK = 11;
} else
if ( n >= 405 && n < 517 ) {
	BLK = 5;
} else
if ( n >= 517 && n < 610 ) {
	BLK = 11;
} else
if ( n >= 610 && n < 619 ) {
	BLK = 5;
} else
if ( n >= 619 && n < 1025 ) {
	BLK = 8;
} else
if ( n >= 1025 && n < 1262 ) {
	BLK = 1;
} else
if ( n >= 1262 && n < 1354 ) {
	BLK = 3;
} else
if ( n >= 1354 && n < 1559 ) {
	BLK = 6;
} else
if ( n >= 1559 && n < 1753 ) {
	BLK = 1;
} else
if ( n >= 1753 && n < 1834 ) {
	BLK = 6;
} else
if ( n >= 1834 && n < 2007 ) {
	BLK = 1;
} else
if ( n >= 2007 && n < 2202 ) {
	BLK = 6;
} else
if ( n >= 2202 && n < 2368 ) {
	BLK = 1;
} else
if ( n >= 2368 && n < 2463 ) {
	BLK = 6;
} else
if ( n >= 2463 && n < 2582 ) {
	BLK = 12;
} else
if ( n >= 2582 && n < 2642 ) {
	BLK = 1;
} else
if ( n >= 2642 && n < 2759 ) {
	BLK = 12;
} else
if ( n >= 2759 && n < 2913 ) {
	BLK = 2;
} else
if ( n >= 2913 && n < 2950 ) {
	BLK = 1;
} else
if ( n >= 2950 && n < 3081 ) {
	BLK = 6;
} else
if ( n >= 3081 && n < 3175 ) {
	BLK = 2;
} else
if ( n >= 3175 && n < 3238 ) {
	BLK = 7;
} else
if ( n >= 3238 && n < 3685 ) {
	BLK = 2;
} else
if ( n >= 3685 && n < 3844 ) {
	BLK = 7;
} else
if ( n >= 3844 && n < 4856 ) {
	BLK = 2;
} else
if ( n >= 4856 && n < 4930 ) {
	BLK = 7;
} else
if ( n >= 4930 && n < 5199 ) {
	BLK = 2;
} else
if ( n >= 5199 && n < 5359 ) {
	BLK = 12;
} else
if ( n >= 5359 && n < 5696 ) {
	BLK = 2;
} else
if ( n >= 5696 && n < 5739 ) {
	BLK = 12;
} else
if ( n >= 5739 && n < 6096 ) {
	BLK = 2;
} else
if ( n >= 6096 && n < 6149 ) {
	BLK = 12;
} else
if ( n >= 6149 && n < 7005 ) {
	BLK = 2;
} else
if ( n >= 7005 && n < 7167 ) {
	BLK = 7;
} else
if ( n >= 7167 && n < 7880 ) {
	BLK = 2;
} else
if ( n >= 7880 && n < 8082 ) {
	BLK = 7;
} else
if ( n >= 8082 && n < 8438 ) {
	BLK = 2;
} else
if ( n >= 8438 && n < 8542 ) {
	BLK = 7;
} else
if ( n >= 8542 && n < 8766 ) {
	BLK = 2;
} else
if ( n >= 8766 && n < 8909 ) {
	BLK = 7;
} else
if ( n >= 8909 && n < 9724 ) {
	BLK = 2;
} else
if ( n >= 9724 && n < 9761 ) {
	BLK = 12;
} else
if ( n >= 9761 && n < 9831 ) {
	BLK = 1;
} else
if ( n >= 9831 && n < 9919 ) {
	BLK = 8;
} else
if ( n >= 9919 && n < 10054 ) {
	BLK = 1;
} else
if ( n >= 10054 && n < 10078 ) {
	BLK = 7;
} else
if ( n >= 10078 && n < 10273 ) {
	BLK = 2;
} else
if ( n >= 10273 && n < 10597 ) {
	BLK = 12;
} else
if ( n >= 10597 && n < 10709 ) {
	BLK = 2;
} else
if ( n >= 10709 && n < 10829 ) {
	BLK = 6;
} else
if ( n >= 10829 && n < 11124 ) {
	BLK = 1;
} else
if ( n >= 11124 && n < 11211 ) {
	BLK = 7;
} else
if ( n >= 11211 && n < 11713 ) {
	BLK = 2;
} else
if ( n >= 11713 && n < 11991 ) {
	BLK = 7;
} else
if ( n >= 11991 && n < 12630 ) {
	BLK = 2;
} else
if ( n >= 12630 && n < 12712 ) {
	BLK = 7;
} else
if ( n >= 12712 && n < 12924 ) {
	BLK = 12;
} else
if ( n >= 12924 && n < 13463 ) {
	BLK = 2;
} else
if ( n >= 13463 && n < 13977 ) {
	BLK = 7;
} else
if ( n >= 13977 && n < 13996 ) {
	BLK = 12;
} else
if ( n >= 13996 && n < 14344 ) {
	BLK = 2;
} else
if ( n >= 14344 && n < 14865 ) {
	BLK = 7;
} else
if ( n >= 14865 && n < 15497 ) {
	BLK = 2;
} else
if ( n >= 15497 && n < 15884 ) {
	BLK = 7;
} else
if ( n >= 15884 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
