#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Tue Nov  8 00:50:41 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 72 ) {
	BLK = 3;
} else
if ( n >= 72 && n < 112 ) {
	BLK = 14;
} else
if ( n >= 112 && n < 234 ) {
	BLK = 11;
} else
if ( n >= 234 && n < 375 ) {
	BLK = 9;
} else
if ( n >= 375 && n < 840 ) {
	BLK = 10;
} else
if ( n >= 840 && n < 866 ) {
	BLK = 9;
} else
if ( n >= 866 && n < 1323 ) {
	BLK = 11;
} else
if ( n >= 1323 && n < 2024 ) {
	BLK = 7;
} else
if ( n >= 2024 && n < 2191 ) {
	BLK = 5;
} else
if ( n >= 2191 && n < 3208 ) {
	BLK = 7;
} else
if ( n >= 3208 && n < 3332 ) {
	BLK = 14;
} else
if ( n >= 3332 && n < 3417 ) {
	BLK = 1;
} else
if ( n >= 3417 && n < 3667 ) {
	BLK = 4;
} else
if ( n >= 3667 && n < 3826 ) {
	BLK = 1;
} else
if ( n >= 3826 && n < 4130 ) {
	BLK = 4;
} else
if ( n >= 4130 && n < 4256 ) {
	BLK = 1;
} else
if ( n >= 4256 && n < 4533 ) {
	BLK = 4;
} else
if ( n >= 4533 && n < 4733 ) {
	BLK = 1;
} else
if ( n >= 4733 && n < 4845 ) {
	BLK = 4;
} else
if ( n >= 4845 && n < 5095 ) {
	BLK = 1;
} else
if ( n >= 5095 && n < 5364 ) {
	BLK = 4;
} else
if ( n >= 5364 && n < 5556 ) {
	BLK = 1;
} else
if ( n >= 5556 && n < 5978 ) {
	BLK = 4;
} else
if ( n >= 5978 && n < 6292 ) {
	BLK = 1;
} else
if ( n >= 6292 && n < 6512 ) {
	BLK = 4;
} else
if ( n >= 6512 && n < 6653 ) {
	BLK = 1;
} else
if ( n >= 6653 && n < 7539 ) {
	BLK = 4;
} else
if ( n >= 7539 && n < 7648 ) {
	BLK = 1;
} else
if ( n >= 7648 && n < 8071 ) {
	BLK = 4;
} else
if ( n >= 8071 && n < 8156 ) {
	BLK = 1;
} else
if ( n >= 8156 && n < 8460 ) {
	BLK = 4;
} else
if ( n >= 8460 && n < 8646 ) {
	BLK = 1;
} else
if ( n >= 8646 && n < 9532 ) {
	BLK = 4;
} else
if ( n >= 9532 && n < 9868 ) {
	BLK = 1;
} else
if ( n >= 9868 && n < 10154 ) {
	BLK = 4;
} else
if ( n >= 10154 && n < 10287 ) {
	BLK = 1;
} else
if ( n >= 10287 && n < 10592 ) {
	BLK = 2;
} else
if ( n >= 10592 && n < 11349 ) {
	BLK = 4;
} else
if ( n >= 11349 && n < 11520 ) {
	BLK = 1;
} else
if ( n >= 11520 && n < 11792 ) {
	BLK = 2;
} else
if ( n >= 11792 && n < 12378 ) {
	BLK = 4;
} else
if ( n >= 12378 && n < 12839 ) {
	BLK = 1;
} else
if ( n >= 12839 && n < 12849 ) {
	BLK = 4;
} else
if ( n >= 12849 && n < 13610 ) {
	BLK = 2;
} else
if ( n >= 13610 && n < 14784 ) {
	BLK = 4;
} else
if ( n >= 14784 && n < 14867 ) {
	BLK = 1;
} else
if ( n >= 14867 && n < 17452 ) {
	BLK = 4;
} else
if ( n >= 17452 && n < 17734 ) {
	BLK = 1;
} else
if ( n >= 17734 && n < 18774 ) {
	BLK = 4;
} else
if ( n >= 18774 && n < 19187 ) {
	BLK = 16;
} else
if ( n >= 19187 && n < 19572 ) {
	BLK = 2;
} else
if ( n >= 19572 && n < 19625 ) {
	BLK = 4;
} else
if ( n >= 19625 && n < 20319 ) {
	BLK = 1;
} else
if ( n >= 20319 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
