/*
Kernel ID:	100006	Regs:	1	MULTI:	16	CYCLE:	3840	/ 75
Kernel ID:	100007	Regs:	1	MULTI:	16	CYCLE:	3840	/ 99
Kernel ID:	100008	Regs:	1	MULTI:	16	CYCLE:	3840	/ 99
Kernel ID:	100009	Regs:	1	MULTI:	12	CYCLE:	2880	/ 93
Kernel ID:	100010	Regs:	1	MULTI:	12	CYCLE:	2880	/ 93
Kernel ID:	100011	Regs:	1	MULTI:	10	CYCLE:	2400	/ 93
Kernel ID:	100012	Regs:	1	MULTI:	10	CYCLE:	2400	/ 93
Kernel ID:	100013	Regs:	1	MULTI:	9	CYCLE:	2160	/ 98
Kernel ID:	100014	Regs:	1	MULTI:	9	CYCLE:	2160	/ 98
Kernel ID:	100015	Regs:	1	MULTI:	8	CYCLE:	1920	/ 99
Kernel ID:	100016	Regs:	1	MULTI:	8	CYCLE:	1920	/ 99
Kernel ID:	100106	Regs:	1	MULTI:	14	CYCLE:	3360	/ 65
Kernel ID:	100107	Regs:	1	MULTI:	14	CYCLE:	3360	/ 87
Kernel ID:	100108	Regs:	1	MULTI:	14	CYCLE:	3360	/ 87
Kernel ID:	100109	Regs:	1	MULTI:	11	CYCLE:	2640	/ 85
Kernel ID:	1	Regs:	1	MULTI:	16	CYCLE:	7680	/ 25
Kernel ID:	2	Regs:	1	MULTI:	16	CYCLE:	7680	/ 50
Kernel ID:	3	Regs:	1	MULTI:	16	CYCLE:	7680	/ 75
Kernel ID:	4	Regs:	1	MULTI:	16	CYCLE:	7680	/ 99
Kernel ID:	5	Regs:	1	MULTI:	12	CYCLE:	5760	/ 93
Kernel ID:	6	Regs:	1	MULTI:	10	CYCLE:	4800	/ 93
Kernel ID:	7	Regs:	1	MULTI:	9	CYCLE:	4320	/ 98
Kernel ID:	8	Regs:	1	MULTI:	8	CYCLE:	3840	/ 99
Kernel ID:	9	Regs:	1	MULTI:	7	CYCLE:	3360	/ 98
Kernel ID:	10	Regs:	1	MULTI:	6	CYCLE:	2880	/ 93
Kernel ID:	11	Regs:	1	MULTI:	5	CYCLE:	2400	/ 85
Kernel ID:	12	Regs:	1	MULTI:	5	CYCLE:	2400	/ 93
Kernel ID:	13	Regs:	1	MULTI:	4	CYCLE:	1920	/ 81
Kernel ID:	14	Regs:	1	MULTI:	4	CYCLE:	1920	/ 87
Kernel ID:	15	Regs:	1	MULTI:	4	CYCLE:	1920	/ 93
Kernel ID:	16	Regs:	1	MULTI:	4	CYCLE:	1920	/ 99
Kernel ID:	101	Regs:	1	MULTI:	14	CYCLE:	6720	/ 21
Kernel ID:	102	Regs:	1	MULTI:	14	CYCLE:	6720	/ 43
Kernel ID:	103	Regs:	1	MULTI:	14	CYCLE:	6720	/ 65
Kernel ID:	104	Regs:	1	MULTI:	14	CYCLE:	6720	/ 87
Kernel ID:	105	Regs:	1	MULTI:	11	CYCLE:	5280	/ 85
Kernel ID:	106	Regs:	1	MULTI:	9	CYCLE:	4320	/ 84
Kernel ID:	107	Regs:	1	MULTI:	8	CYCLE:	3840	/ 87
Kernel ID:	108	Regs:	1	MULTI:	7	CYCLE:	3360	/ 87
Kernel ID:	109	Regs:	1	MULTI:	6	CYCLE:	2880	/ 84
Kernel ID:	110	Regs:	1	MULTI:	5	CYCLE:	2400	/ 78
Kernel ID:	111	Regs:	1	MULTI:	4	CYCLE:	1920	/ 68
Kernel ID:	112	Regs:	1	MULTI:	4	CYCLE:	1920	/ 75
Kernel ID:	113	Regs:	1	MULTI:	3	CYCLE:	1440	/ 60
Kernel ID:	114	Regs:	1	MULTI:	3	CYCLE:	1440	/ 65
Kernel ID:	201	Regs:	1	MULTI:	13	CYCLE:	6240	/ 20
Kernel ID:	202	Regs:	1	MULTI:	13	CYCLE:	6240	/ 40
Kernel ID:	203	Regs:	1	MULTI:	13	CYCLE:	6240	/ 60
Kernel ID:	204	Regs:	1	MULTI:	13	CYCLE:	6240	/ 81
Kernel ID:	205	Regs:	1	MULTI:	10	CYCLE:	4800	/ 78
Kernel ID:	206	Regs:	1	MULTI:	8	CYCLE:	3840	/ 75
Kernel ID:	207	Regs:	1	MULTI:	7	CYCLE:	3360	/ 76
Kernel ID:	208	Regs:	1	MULTI:	6	CYCLE:	2880	/ 75
Kernel ID:	209	Regs:	1	MULTI:	5	CYCLE:	2400	/ 70
Kernel ID:	210	Regs:	1	MULTI:	4	CYCLE:	1920	/ 62
Kernel ID:	211	Regs:	1	MULTI:	3	CYCLE:	1440	/ 51
Kernel ID:	212	Regs:	1	MULTI:	3	CYCLE:	1440	/ 56
Kernel ID:	1001	Regs:	1	MULTI:	16	CYCLE:	11520	/ 50
Kernel ID:	1002	Regs:	1	MULTI:	16	CYCLE:	11520	/ 75
Kernel ID:	1003	Regs:	1	MULTI:	12	CYCLE:	8640	/ 93
Kernel ID:	1101	Regs:	1	MULTI:	14	CYCLE:	10080	/ 43
Kernel ID:	1102	Regs:	1	MULTI:	14	CYCLE:	10080	/ 65
Kernel ID:	1103	Regs:	1	MULTI:	11	CYCLE:	7920	/ 85
Kernel ID:	2001	Regs:	1	MULTI:	16	CYCLE:	15360	/ 50
Kernel ID:	2002	Regs:	1	MULTI:	16	CYCLE:	15360	/ 99
Kernel ID:	2003	Regs:	1	MULTI:	10	CYCLE:	9600	/ 93
Kernel ID:	2004	Regs:	1	MULTI:	8	CYCLE:	7680	/ 99
Kernel ID:	2005	Regs:	1	MULTI:	6	CYCLE:	5760	/ 93
Kernel ID:	2006	Regs:	1	MULTI:	5	CYCLE:	4800	/ 93
Kernel ID:	2007	Regs:	1	MULTI:	4	CYCLE:	3840	/ 87
Kernel ID:	2008	Regs:	1	MULTI:	4	CYCLE:	3840	/ 99
Kernel ID:	2101	Regs:	1	MULTI:	14	CYCLE:	13440	/ 43
Kernel ID:	2102	Regs:	1	MULTI:	14	CYCLE:	13440	/ 87
Kernel ID:	2103	Regs:	1	MULTI:	9	CYCLE:	8640	/ 84
Kernel ID:	3001	Regs:	1	MULTI:	16	CYCLE:	19200	/ 75
Kernel ID:	3101	Regs:	1	MULTI:	14	CYCLE:	16800	/ 65
Kernel ID:	4001	Regs:	1	MULTI:	16	CYCLE:	23040	/ 75
Kernel ID:	4002	Regs:	1	MULTI:	10	CYCLE:	14400	/ 93
Kernel ID:	4003	Regs:	1	MULTI:	7	CYCLE:	10080	/ 98
Kernel ID:	4004	Regs:	1	MULTI:	5	CYCLE:	7200	/ 93
Kernel ID:	4005	Regs:	1	MULTI:	4	CYCLE:	5760	/ 93
Kernel ID:	4006	Regs:	1	MULTI:	3	CYCLE:	4320	/ 84
Kernel ID:	5001	Regs:	1	MULTI:	16	CYCLE:	26880	/ 99
Kernel ID:	6001	Regs:	1	MULTI:	16	CYCLE:	30720	/ 99
Kernel ID:	6002	Regs:	1	MULTI:	8	CYCLE:	15360	/ 99
Kernel ID:	6003	Regs:	1	MULTI:	5	CYCLE:	9600	/ 93
Kernel ID:	6004	Regs:	1	MULTI:	4	CYCLE:	7680	/ 99
Kernel ID:	7001	Regs:	1	MULTI:	12	CYCLE:	25920	/ 93
Kernel ID:	8001	Regs:	1	MULTI:	12	CYCLE:	28800	/ 93
Kernel ID:	8002	Regs:	1	MULTI:	6	CYCLE:	14400	/ 93
Kernel ID:	9001	Regs:	1	MULTI:	10	CYCLE:	26400	/ 93
Kernel ID:	10001	Regs:	1	MULTI:	10	CYCLE:	28800	/ 93
Kernel ID:	10002	Regs:	1	MULTI:	5	CYCLE:	14400	/ 93
*/
#if 0
<--/****************************************
Automatic Performance Tuning for DGEMV -N
Thu May 26 19:33:22 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
#endif
#ifdef	ALL_KERNELS
#undef	ALL_KERNELS
#endif
#define	ALL_KERNELS	1

// ID[100006] (16,6) * 16
#define	_BLOCKSIZE_100006	16
#define	_UX_100006		6
#define	_MX_100006		896
#define	_CX_100006		1
#define	_MULTI_100006		16
#define	_OCCUP_100006		75
#define	_CYCLE_100006		3840

// ID[100007] (16,7) * 16
#define	_BLOCKSIZE_100007	16
#define	_UX_100007		7
#define	_MX_100007		896
#define	_CX_100007		1
#define	_MULTI_100007		16
#define	_OCCUP_100007		99
#define	_CYCLE_100007		3840

// ID[100008] (16,8) * 16
#define	_BLOCKSIZE_100008	16
#define	_UX_100008		8
#define	_MX_100008		1152
#define	_CX_100008		1
#define	_MULTI_100008		16
#define	_OCCUP_100008		99
#define	_CYCLE_100008		3840

// ID[100009] (16,9) * 12
#define	_BLOCKSIZE_100009	16
#define	_UX_100009		9
#define	_MX_100009		1152
#define	_CX_100009		1
#define	_MULTI_100009		12
#define	_OCCUP_100009		93
#define	_CYCLE_100009		2880

// ID[100010] (16,10) * 12
#define	_BLOCKSIZE_100010	16
#define	_UX_100010		10
#define	_MX_100010		1408
#define	_CX_100010		1
#define	_MULTI_100010		12
#define	_OCCUP_100010		93
#define	_CYCLE_100010		2880

// ID[100011] (16,11) * 10
#define	_BLOCKSIZE_100011	16
#define	_UX_100011		11
#define	_MX_100011		1408
#define	_CX_100011		1
#define	_MULTI_100011		10
#define	_OCCUP_100011		93
#define	_CYCLE_100011		2400

// ID[100012] (16,12) * 10
#define	_BLOCKSIZE_100012	16
#define	_UX_100012		12
#define	_MX_100012		1664
#define	_CX_100012		1
#define	_MULTI_100012		10
#define	_OCCUP_100012		93
#define	_CYCLE_100012		2400

// ID[100013] (16,13) * 9
#define	_BLOCKSIZE_100013	16
#define	_UX_100013		13
#define	_MX_100013		1664
#define	_CX_100013		1
#define	_MULTI_100013		9
#define	_OCCUP_100013		98
#define	_CYCLE_100013		2160

// ID[100014] (16,14) * 9
#define	_BLOCKSIZE_100014	16
#define	_UX_100014		14
#define	_MX_100014		1920
#define	_CX_100014		1
#define	_MULTI_100014		9
#define	_OCCUP_100014		98
#define	_CYCLE_100014		2160

// ID[100015] (16,15) * 8
#define	_BLOCKSIZE_100015	16
#define	_UX_100015		15
#define	_MX_100015		1920
#define	_CX_100015		1
#define	_MULTI_100015		8
#define	_OCCUP_100015		99
#define	_CYCLE_100015		1920

// ID[100016] (16,16) * 8
#define	_BLOCKSIZE_100016	16
#define	_UX_100016		16
#define	_MX_100016		2176
#define	_CX_100016		1
#define	_MULTI_100016		8
#define	_OCCUP_100016		99
#define	_CYCLE_100016		1920

// ID[100106] (16,6) * 14
#define	_BLOCKSIZE_100106	16
#define	_UX_100106		6
#define	_MX_100106		896
#define	_CX_100106		1
#define	_MULTI_100106		14
#define	_OCCUP_100106		65
#define	_CYCLE_100106		3360

// ID[100107] (16,7) * 14
#define	_BLOCKSIZE_100107	16
#define	_UX_100107		7
#define	_MX_100107		896
#define	_CX_100107		1
#define	_MULTI_100107		14
#define	_OCCUP_100107		87
#define	_CYCLE_100107		3360

// ID[100108] (16,8) * 14
#define	_BLOCKSIZE_100108	16
#define	_UX_100108		8
#define	_MX_100108		1152
#define	_CX_100108		1
#define	_MULTI_100108		14
#define	_OCCUP_100108		87
#define	_CYCLE_100108		3360

// ID[100109] (16,9) * 11
#define	_BLOCKSIZE_100109	16
#define	_UX_100109		9
#define	_MX_100109		1152
#define	_CX_100109		1
#define	_MULTI_100109		11
#define	_OCCUP_100109		85
#define	_CYCLE_100109		2640

// ID[1] (32,1) * 16
#define	_BLOCKSIZE_1	32
#define	_UX_1		1
#define	_MX_1		256
#define	_CX_1		1
#define	_MULTI_1		16
#define	_OCCUP_1		25
#define	_CYCLE_1		7680

// ID[2] (32,2) * 16
#define	_BLOCKSIZE_2	32
#define	_UX_2		2
#define	_MX_2		768
#define	_CX_2		1
#define	_MULTI_2		16
#define	_OCCUP_2		50
#define	_CYCLE_2		7680

// ID[3] (32,3) * 16
#define	_BLOCKSIZE_3	32
#define	_UX_3		3
#define	_MX_3		768
#define	_CX_3		1
#define	_MULTI_3		16
#define	_OCCUP_3		75
#define	_CYCLE_3		7680

// ID[4] (32,4) * 16
#define	_BLOCKSIZE_4	32
#define	_UX_4		4
#define	_MX_4		1280
#define	_CX_4		1
#define	_MULTI_4		16
#define	_OCCUP_4		99
#define	_CYCLE_4		7680

// ID[5] (32,5) * 12
#define	_BLOCKSIZE_5	32
#define	_UX_5		5
#define	_MX_5		1280
#define	_CX_5		1
#define	_MULTI_5		12
#define	_OCCUP_5		93
#define	_CYCLE_5		5760

// ID[6] (32,6) * 10
#define	_BLOCKSIZE_6	32
#define	_UX_6		6
#define	_MX_6		1792
#define	_CX_6		1
#define	_MULTI_6		10
#define	_OCCUP_6		93
#define	_CYCLE_6		4800

// ID[7] (32,7) * 9
#define	_BLOCKSIZE_7	32
#define	_UX_7		7
#define	_MX_7		1792
#define	_CX_7		1
#define	_MULTI_7		9
#define	_OCCUP_7		98
#define	_CYCLE_7		4320

// ID[8] (32,8) * 8
#define	_BLOCKSIZE_8	32
#define	_UX_8		8
#define	_MX_8		2304
#define	_CX_8		1
#define	_MULTI_8		8
#define	_OCCUP_8		99
#define	_CYCLE_8		3840

// ID[9] (32,9) * 7
#define	_BLOCKSIZE_9	32
#define	_UX_9		9
#define	_MX_9		2304
#define	_CX_9		1
#define	_MULTI_9		7
#define	_OCCUP_9		98
#define	_CYCLE_9		3360

// ID[10] (32,10) * 6
#define	_BLOCKSIZE_10	32
#define	_UX_10		10
#define	_MX_10		2816
#define	_CX_10		1
#define	_MULTI_10		6
#define	_OCCUP_10		93
#define	_CYCLE_10		2880

// ID[11] (32,11) * 5
#define	_BLOCKSIZE_11	32
#define	_UX_11		11
#define	_MX_11		2816
#define	_CX_11		1
#define	_MULTI_11		5
#define	_OCCUP_11		85
#define	_CYCLE_11		2400

// ID[12] (32,12) * 5
#define	_BLOCKSIZE_12	32
#define	_UX_12		12
#define	_MX_12		3328
#define	_CX_12		1
#define	_MULTI_12		5
#define	_OCCUP_12		93
#define	_CYCLE_12		2400

// ID[13] (32,13) * 4
#define	_BLOCKSIZE_13	32
#define	_UX_13		13
#define	_MX_13		3328
#define	_CX_13		1
#define	_MULTI_13		4
#define	_OCCUP_13		81
#define	_CYCLE_13		1920

// ID[14] (32,14) * 4
#define	_BLOCKSIZE_14	32
#define	_UX_14		14
#define	_MX_14		3840
#define	_CX_14		1
#define	_MULTI_14		4
#define	_OCCUP_14		87
#define	_CYCLE_14		1920

// ID[15] (32,15) * 4
#define	_BLOCKSIZE_15	32
#define	_UX_15		15
#define	_MX_15		3840
#define	_CX_15		1
#define	_MULTI_15		4
#define	_OCCUP_15		93
#define	_CYCLE_15		1920

// ID[16] (32,16) * 4
#define	_BLOCKSIZE_16	32
#define	_UX_16		16
#define	_MX_16		4352
#define	_CX_16		1
#define	_MULTI_16		4
#define	_OCCUP_16		99
#define	_CYCLE_16		1920

// ID[101] (32,1) * 14
#define	_BLOCKSIZE_101	32
#define	_UX_101		1
#define	_MX_101		256
#define	_CX_101		1
#define	_MULTI_101		14
#define	_OCCUP_101		21
#define	_CYCLE_101		6720

// ID[102] (32,2) * 14
#define	_BLOCKSIZE_102	32
#define	_UX_102		2
#define	_MX_102		768
#define	_CX_102		1
#define	_MULTI_102		14
#define	_OCCUP_102		43
#define	_CYCLE_102		6720

// ID[103] (32,3) * 14
#define	_BLOCKSIZE_103	32
#define	_UX_103		3
#define	_MX_103		768
#define	_CX_103		1
#define	_MULTI_103		14
#define	_OCCUP_103		65
#define	_CYCLE_103		6720

// ID[104] (32,4) * 14
#define	_BLOCKSIZE_104	32
#define	_UX_104		4
#define	_MX_104		1280
#define	_CX_104		1
#define	_MULTI_104		14
#define	_OCCUP_104		87
#define	_CYCLE_104		6720

// ID[105] (32,5) * 11
#define	_BLOCKSIZE_105	32
#define	_UX_105		5
#define	_MX_105		1280
#define	_CX_105		1
#define	_MULTI_105		11
#define	_OCCUP_105		85
#define	_CYCLE_105		5280

// ID[106] (32,6) * 9
#define	_BLOCKSIZE_106	32
#define	_UX_106		6
#define	_MX_106		1792
#define	_CX_106		1
#define	_MULTI_106		9
#define	_OCCUP_106		84
#define	_CYCLE_106		4320

// ID[107] (32,7) * 8
#define	_BLOCKSIZE_107	32
#define	_UX_107		7
#define	_MX_107		1792
#define	_CX_107		1
#define	_MULTI_107		8
#define	_OCCUP_107		87
#define	_CYCLE_107		3840

// ID[108] (32,8) * 7
#define	_BLOCKSIZE_108	32
#define	_UX_108		8
#define	_MX_108		2304
#define	_CX_108		1
#define	_MULTI_108		7
#define	_OCCUP_108		87
#define	_CYCLE_108		3360

// ID[109] (32,9) * 6
#define	_BLOCKSIZE_109	32
#define	_UX_109		9
#define	_MX_109		2304
#define	_CX_109		1
#define	_MULTI_109		6
#define	_OCCUP_109		84
#define	_CYCLE_109		2880

// ID[110] (32,10) * 5
#define	_BLOCKSIZE_110	32
#define	_UX_110		10
#define	_MX_110		2816
#define	_CX_110		1
#define	_MULTI_110		5
#define	_OCCUP_110		78
#define	_CYCLE_110		2400

// ID[111] (32,11) * 4
#define	_BLOCKSIZE_111	32
#define	_UX_111		11
#define	_MX_111		2816
#define	_CX_111		1
#define	_MULTI_111		4
#define	_OCCUP_111		68
#define	_CYCLE_111		1920

// ID[112] (32,12) * 4
#define	_BLOCKSIZE_112	32
#define	_UX_112		12
#define	_MX_112		3328
#define	_CX_112		1
#define	_MULTI_112		4
#define	_OCCUP_112		75
#define	_CYCLE_112		1920

// ID[113] (32,13) * 3
#define	_BLOCKSIZE_113	32
#define	_UX_113		13
#define	_MX_113		3328
#define	_CX_113		1
#define	_MULTI_113		3
#define	_OCCUP_113		60
#define	_CYCLE_113		1440

// ID[114] (32,14) * 3
#define	_BLOCKSIZE_114	32
#define	_UX_114		14
#define	_MX_114		3840
#define	_CX_114		1
#define	_MULTI_114		3
#define	_OCCUP_114		65
#define	_CYCLE_114		1440

// ID[201] (32,1) * 13
#define	_BLOCKSIZE_201	32
#define	_UX_201		1
#define	_MX_201		256
#define	_CX_201		1
#define	_MULTI_201		13
#define	_OCCUP_201		20
#define	_CYCLE_201		6240

// ID[202] (32,2) * 13
#define	_BLOCKSIZE_202	32
#define	_UX_202		2
#define	_MX_202		768
#define	_CX_202		1
#define	_MULTI_202		13
#define	_OCCUP_202		40
#define	_CYCLE_202		6240

// ID[203] (32,3) * 13
#define	_BLOCKSIZE_203	32
#define	_UX_203		3
#define	_MX_203		768
#define	_CX_203		1
#define	_MULTI_203		13
#define	_OCCUP_203		60
#define	_CYCLE_203		6240

// ID[204] (32,4) * 13
#define	_BLOCKSIZE_204	32
#define	_UX_204		4
#define	_MX_204		1280
#define	_CX_204		1
#define	_MULTI_204		13
#define	_OCCUP_204		81
#define	_CYCLE_204		6240

// ID[205] (32,5) * 10
#define	_BLOCKSIZE_205	32
#define	_UX_205		5
#define	_MX_205		1280
#define	_CX_205		1
#define	_MULTI_205		10
#define	_OCCUP_205		78
#define	_CYCLE_205		4800

// ID[206] (32,6) * 8
#define	_BLOCKSIZE_206	32
#define	_UX_206		6
#define	_MX_206		1792
#define	_CX_206		1
#define	_MULTI_206		8
#define	_OCCUP_206		75
#define	_CYCLE_206		3840

// ID[207] (32,7) * 7
#define	_BLOCKSIZE_207	32
#define	_UX_207		7
#define	_MX_207		1792
#define	_CX_207		1
#define	_MULTI_207		7
#define	_OCCUP_207		76
#define	_CYCLE_207		3360

// ID[208] (32,8) * 6
#define	_BLOCKSIZE_208	32
#define	_UX_208		8
#define	_MX_208		2304
#define	_CX_208		1
#define	_MULTI_208		6
#define	_OCCUP_208		75
#define	_CYCLE_208		2880

// ID[209] (32,9) * 5
#define	_BLOCKSIZE_209	32
#define	_UX_209		9
#define	_MX_209		2304
#define	_CX_209		1
#define	_MULTI_209		5
#define	_OCCUP_209		70
#define	_CYCLE_209		2400

// ID[210] (32,10) * 4
#define	_BLOCKSIZE_210	32
#define	_UX_210		10
#define	_MX_210		2816
#define	_CX_210		1
#define	_MULTI_210		4
#define	_OCCUP_210		62
#define	_CYCLE_210		1920

// ID[211] (32,11) * 3
#define	_BLOCKSIZE_211	32
#define	_UX_211		11
#define	_MX_211		2816
#define	_CX_211		1
#define	_MULTI_211		3
#define	_OCCUP_211		51
#define	_CYCLE_211		1440

// ID[212] (32,12) * 3
#define	_BLOCKSIZE_212	32
#define	_UX_212		12
#define	_MX_212		3328
#define	_CX_212		1
#define	_MULTI_212		3
#define	_OCCUP_212		56
#define	_CYCLE_212		1440

// ID[1001] (48,1) * 16
#define	_BLOCKSIZE_1001	48
#define	_UX_1001		1
#define	_MX_1001		384
#define	_CX_1001		1
#define	_MULTI_1001		16
#define	_OCCUP_1001		50
#define	_CYCLE_1001		11520

// ID[1002] (48,2) * 16
#define	_BLOCKSIZE_1002	48
#define	_UX_1002		2
#define	_MX_1002		1152
#define	_CX_1002		1
#define	_MULTI_1002		16
#define	_OCCUP_1002		75
#define	_CYCLE_1002		11520

// ID[1003] (48,3) * 12
#define	_BLOCKSIZE_1003	48
#define	_UX_1003		3
#define	_MX_1003		1152
#define	_CX_1003		1
#define	_MULTI_1003		12
#define	_OCCUP_1003		93
#define	_CYCLE_1003		8640

// ID[1101] (48,1) * 14
#define	_BLOCKSIZE_1101	48
#define	_UX_1101		1
#define	_MX_1101		384
#define	_CX_1101		1
#define	_MULTI_1101		14
#define	_OCCUP_1101		43
#define	_CYCLE_1101		10080

// ID[1102] (48,2) * 14
#define	_BLOCKSIZE_1102	48
#define	_UX_1102		2
#define	_MX_1102		1152
#define	_CX_1102		1
#define	_MULTI_1102		14
#define	_OCCUP_1102		65
#define	_CYCLE_1102		10080

// ID[1103] (48,3) * 11
#define	_BLOCKSIZE_1103	48
#define	_UX_1103		3
#define	_MX_1103		1152
#define	_CX_1103		1
#define	_MULTI_1103		11
#define	_OCCUP_1103		85
#define	_CYCLE_1103		7920

// ID[2001] (64,1) * 16
#define	_BLOCKSIZE_2001	64
#define	_UX_2001		1
#define	_MX_2001		512
#define	_CX_2001		1
#define	_MULTI_2001		16
#define	_OCCUP_2001		50
#define	_CYCLE_2001		15360

// ID[2002] (64,2) * 16
#define	_BLOCKSIZE_2002	64
#define	_UX_2002		2
#define	_MX_2002		1536
#define	_CX_2002		1
#define	_MULTI_2002		16
#define	_OCCUP_2002		99
#define	_CYCLE_2002		15360

// ID[2003] (64,3) * 10
#define	_BLOCKSIZE_2003	64
#define	_UX_2003		3
#define	_MX_2003		1536
#define	_CX_2003		1
#define	_MULTI_2003		10
#define	_OCCUP_2003		93
#define	_CYCLE_2003		9600

// ID[2004] (64,4) * 8
#define	_BLOCKSIZE_2004	64
#define	_UX_2004		4
#define	_MX_2004		2560
#define	_CX_2004		1
#define	_MULTI_2004		8
#define	_OCCUP_2004		99
#define	_CYCLE_2004		7680

// ID[2005] (64,5) * 6
#define	_BLOCKSIZE_2005	64
#define	_UX_2005		5
#define	_MX_2005		2560
#define	_CX_2005		1
#define	_MULTI_2005		6
#define	_OCCUP_2005		93
#define	_CYCLE_2005		5760

// ID[2006] (64,6) * 5
#define	_BLOCKSIZE_2006	64
#define	_UX_2006		6
#define	_MX_2006		3584
#define	_CX_2006		1
#define	_MULTI_2006		5
#define	_OCCUP_2006		93
#define	_CYCLE_2006		4800

// ID[2007] (64,7) * 4
#define	_BLOCKSIZE_2007	64
#define	_UX_2007		7
#define	_MX_2007		3584
#define	_CX_2007		1
#define	_MULTI_2007		4
#define	_OCCUP_2007		87
#define	_CYCLE_2007		3840

// ID[2008] (64,8) * 4
#define	_BLOCKSIZE_2008	64
#define	_UX_2008		8
#define	_MX_2008		4608
#define	_CX_2008		1
#define	_MULTI_2008		4
#define	_OCCUP_2008		99
#define	_CYCLE_2008		3840

// ID[2101] (64,1) * 14
#define	_BLOCKSIZE_2101	64
#define	_UX_2101		1
#define	_MX_2101		512
#define	_CX_2101		1
#define	_MULTI_2101		14
#define	_OCCUP_2101		43
#define	_CYCLE_2101		13440

// ID[2102] (64,2) * 14
#define	_BLOCKSIZE_2102	64
#define	_UX_2102		2
#define	_MX_2102		1536
#define	_CX_2102		1
#define	_MULTI_2102		14
#define	_OCCUP_2102		87
#define	_CYCLE_2102		13440

// ID[2103] (64,3) * 9
#define	_BLOCKSIZE_2103	64
#define	_UX_2103		3
#define	_MX_2103		1536
#define	_CX_2103		1
#define	_MULTI_2103		9
#define	_OCCUP_2103		84
#define	_CYCLE_2103		8640

// ID[3001] (80,1) * 16
#define	_BLOCKSIZE_3001	80
#define	_UX_3001		1
#define	_MX_3001		640
#define	_CX_3001		1
#define	_MULTI_3001		16
#define	_OCCUP_3001		75
#define	_CYCLE_3001		19200

// ID[3101] (80,1) * 14
#define	_BLOCKSIZE_3101	80
#define	_UX_3101		1
#define	_MX_3101		640
#define	_CX_3101		1
#define	_MULTI_3101		14
#define	_OCCUP_3101		65
#define	_CYCLE_3101		16800

// ID[4001] (96,1) * 16
#define	_BLOCKSIZE_4001	96
#define	_UX_4001		1
#define	_MX_4001		768
#define	_CX_4001		1
#define	_MULTI_4001		16
#define	_OCCUP_4001		75
#define	_CYCLE_4001		23040

// ID[4002] (96,2) * 10
#define	_BLOCKSIZE_4002	96
#define	_UX_4002		2
#define	_MX_4002		2304
#define	_CX_4002		1
#define	_MULTI_4002		10
#define	_OCCUP_4002		93
#define	_CYCLE_4002		14400

// ID[4003] (96,3) * 7
#define	_BLOCKSIZE_4003	96
#define	_UX_4003		3
#define	_MX_4003		2304
#define	_CX_4003		1
#define	_MULTI_4003		7
#define	_OCCUP_4003		98
#define	_CYCLE_4003		10080

// ID[4004] (96,4) * 5
#define	_BLOCKSIZE_4004	96
#define	_UX_4004		4
#define	_MX_4004		3840
#define	_CX_4004		1
#define	_MULTI_4004		5
#define	_OCCUP_4004		93
#define	_CYCLE_4004		7200

// ID[4005] (96,5) * 4
#define	_BLOCKSIZE_4005	96
#define	_UX_4005		5
#define	_MX_4005		3840
#define	_CX_4005		1
#define	_MULTI_4005		4
#define	_OCCUP_4005		93
#define	_CYCLE_4005		5760

// ID[4006] (96,6) * 3
#define	_BLOCKSIZE_4006	96
#define	_UX_4006		6
#define	_MX_4006		5376
#define	_CX_4006		1
#define	_MULTI_4006		3
#define	_OCCUP_4006		84
#define	_CYCLE_4006		4320

// ID[5001] (112,1) * 16
#define	_BLOCKSIZE_5001	112
#define	_UX_5001		1
#define	_MX_5001		896
#define	_CX_5001		1
#define	_MULTI_5001		16
#define	_OCCUP_5001		99
#define	_CYCLE_5001		26880

// ID[6001] (128,1) * 16
#define	_BLOCKSIZE_6001	128
#define	_UX_6001		1
#define	_MX_6001		1024
#define	_CX_6001		1
#define	_MULTI_6001		16
#define	_OCCUP_6001		99
#define	_CYCLE_6001		30720

// ID[6002] (128,2) * 8
#define	_BLOCKSIZE_6002	128
#define	_UX_6002		2
#define	_MX_6002		3072
#define	_CX_6002		1
#define	_MULTI_6002		8
#define	_OCCUP_6002		99
#define	_CYCLE_6002		15360

// ID[6003] (128,3) * 5
#define	_BLOCKSIZE_6003	128
#define	_UX_6003		3
#define	_MX_6003		3072
#define	_CX_6003		1
#define	_MULTI_6003		5
#define	_OCCUP_6003		93
#define	_CYCLE_6003		9600

// ID[6004] (128,4) * 4
#define	_BLOCKSIZE_6004	128
#define	_UX_6004		4
#define	_MX_6004		5120
#define	_CX_6004		1
#define	_MULTI_6004		4
#define	_OCCUP_6004		99
#define	_CYCLE_6004		7680

// ID[7001] (144,1) * 12
#define	_BLOCKSIZE_7001	144
#define	_UX_7001		1
#define	_MX_7001		1152
#define	_CX_7001		1
#define	_MULTI_7001		12
#define	_OCCUP_7001		93
#define	_CYCLE_7001		25920

// ID[8001] (160,1) * 12
#define	_BLOCKSIZE_8001	160
#define	_UX_8001		1
#define	_MX_8001		1280
#define	_CX_8001		1
#define	_MULTI_8001		12
#define	_OCCUP_8001		93
#define	_CYCLE_8001		28800

// ID[8002] (160,2) * 6
#define	_BLOCKSIZE_8002	160
#define	_UX_8002		2
#define	_MX_8002		3840
#define	_CX_8002		1
#define	_MULTI_8002		6
#define	_OCCUP_8002		93
#define	_CYCLE_8002		14400

// ID[9001] (176,1) * 10
#define	_BLOCKSIZE_9001	176
#define	_UX_9001		1
#define	_MX_9001		1408
#define	_CX_9001		1
#define	_MULTI_9001		10
#define	_OCCUP_9001		93
#define	_CYCLE_9001		26400

// ID[10001] (192,1) * 10
#define	_BLOCKSIZE_10001	192
#define	_UX_10001		1
#define	_MX_10001		1536
#define	_CX_10001		1
#define	_MULTI_10001		10
#define	_OCCUP_10001		93
#define	_CYCLE_10001		28800

// ID[10002] (192,2) * 5
#define	_BLOCKSIZE_10002	192
#define	_UX_10002		2
#define	_MX_10002		4608
#define	_CX_10002		1
#define	_MULTI_10002		5
#define	_OCCUP_10002		93
#define	_CYCLE_10002		14400

#if defined(__CY__)
#undef	__CY__
#endif
#define	__CY__

#undef _OCCUP_2
#define _OCCUP_2 0
#undef _OCCUP_1
#define _OCCUP_1 0
#undef _OCCUP_102
#define _OCCUP_102 0
#undef _OCCUP_101
#define _OCCUP_101 0
#undef _OCCUP_202
#define _OCCUP_202 0
#undef _OCCUP_201
#define _OCCUP_201 0
#undef _OCCUP_100106
#define _OCCUP_100106 0
#undef _OCCUP_111
#define _OCCUP_111 0
#undef _OCCUP_210
#define _OCCUP_210 0
#undef _OCCUP_1101
#define _OCCUP_1101 0

