#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Tue Nov  8 02:37:06 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 107 ) {
	BLK = 11;
} else
if ( n >= 107 && n < 369 ) {
	BLK = 14;
} else
if ( n >= 369 && n < 420 ) {
	BLK = 3;
} else
if ( n >= 420 && n < 448 ) {
	BLK = 16;
} else
if ( n >= 448 && n < 455 ) {
	BLK = 1;
} else
if ( n >= 455 && n < 709 ) {
	BLK = 14;
} else
if ( n >= 709 && n < 773 ) {
	BLK = 8;
} else
if ( n >= 773 && n < 1088 ) {
	BLK = 14;
} else
if ( n >= 1088 && n < 2009 ) {
	BLK = 1;
} else
if ( n >= 2009 && n < 2125 ) {
	BLK = 13;
} else
if ( n >= 2125 && n < 2936 ) {
	BLK = 1;
} else
if ( n >= 2936 && n < 3091 ) {
	BLK = 4;
} else
if ( n >= 3091 && n < 3745 ) {
	BLK = 5;
} else
if ( n >= 3745 && n < 3919 ) {
	BLK = 1;
} else
if ( n >= 3919 && n < 4038 ) {
	BLK = 13;
} else
if ( n >= 4038 && n < 4127 ) {
	BLK = 5;
} else
if ( n >= 4127 && n < 4392 ) {
	BLK = 1;
} else
if ( n >= 4392 && n < 4622 ) {
	BLK = 15;
} else
if ( n >= 4622 && n < 4795 ) {
	BLK = 1;
} else
if ( n >= 4795 && n < 4834 ) {
	BLK = 13;
} else
if ( n >= 4834 && n < 5308 ) {
	BLK = 1;
} else
if ( n >= 5308 && n < 5572 ) {
	BLK = 13;
} else
if ( n >= 5572 && n < 5729 ) {
	BLK = 4;
} else
if ( n >= 5729 && n < 5856 ) {
	BLK = 1;
} else
if ( n >= 5856 && n < 5876 ) {
	BLK = 13;
} else
if ( n >= 5876 && n < 6115 ) {
	BLK = 4;
} else
if ( n >= 6115 && n < 6298 ) {
	BLK = 13;
} else
if ( n >= 6298 && n < 6331 ) {
	BLK = 5;
} else
if ( n >= 6331 && n < 6751 ) {
	BLK = 1;
} else
if ( n >= 6751 && n < 7078 ) {
	BLK = 5;
} else
if ( n >= 7078 && n < 7445 ) {
	BLK = 1;
} else
if ( n >= 7445 && n < 7660 ) {
	BLK = 5;
} else
if ( n >= 7660 && n < 7700 ) {
	BLK = 13;
} else
if ( n >= 7700 && n < 7892 ) {
	BLK = 1;
} else
if ( n >= 7892 && n < 8044 ) {
	BLK = 5;
} else
if ( n >= 8044 && n < 8147 ) {
	BLK = 1;
} else
if ( n >= 8147 && n < 8204 ) {
	BLK = 15;
} else
if ( n >= 8204 && n < 8380 ) {
	BLK = 13;
} else
if ( n >= 8380 && n < 8548 ) {
	BLK = 1;
} else
if ( n >= 8548 && n < 8668 ) {
	BLK = 5;
} else
if ( n >= 8668 && n < 8982 ) {
	BLK = 1;
} else
if ( n >= 8982 && n < 9040 ) {
	BLK = 15;
} else
if ( n >= 9040 && n < 9311 ) {
	BLK = 1;
} else
if ( n >= 9311 && n < 9384 ) {
	BLK = 15;
} else
if ( n >= 9384 && n < 9668 ) {
	BLK = 13;
} else
if ( n >= 9668 && n < 9767 ) {
	BLK = 1;
} else
if ( n >= 9767 && n < 9997 ) {
	BLK = 16;
} else
if ( n >= 9997 && n < 10075 ) {
	BLK = 1;
} else
if ( n >= 10075 && n < 10143 ) {
	BLK = 5;
} else
if ( n >= 10143 && n < 10315 ) {
	BLK = 13;
} else
if ( n >= 10315 && n < 10399 ) {
	BLK = 16;
} else
if ( n >= 10399 && n < 10624 ) {
	BLK = 1;
} else
if ( n >= 10624 && n < 10700 ) {
	BLK = 13;
} else
if ( n >= 10700 && n < 10876 ) {
	BLK = 16;
} else
if ( n >= 10876 && n < 11141 ) {
	BLK = 1;
} else
if ( n >= 11141 && n < 11378 ) {
	BLK = 5;
} else
if ( n >= 11378 && n < 11656 ) {
	BLK = 1;
} else
if ( n >= 11656 && n < 11818 ) {
	BLK = 5;
} else
if ( n >= 11818 && n < 12063 ) {
	BLK = 1;
} else
if ( n >= 12063 && n < 12558 ) {
	BLK = 13;
} else
if ( n >= 12558 && n < 13393 ) {
	BLK = 1;
} else
if ( n >= 13393 && n < 14824 ) {
	BLK = 5;
} else
if ( n >= 14824 && n < 15184 ) {
	BLK = 15;
} else
if ( n >= 15184 && n < 16135 ) {
	BLK = 1;
} else
if ( n >= 16135 && n < 16664 ) {
	BLK = 15;
} else
if ( n >= 16664 && n < 16682 ) {
	BLK = 13;
} else
if ( n >= 16682 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
