#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Mon Nov  7 09:29:46 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_19	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_3	1

if ( n >= 1 && n < 114 ) {
	BLK = 3;
} else
if ( n >= 114 && n < 173 ) {
	BLK = 10;
} else
if ( n >= 173 && n < 220 ) {
	BLK = 7;
} else
if ( n >= 220 && n < 305 ) {
	BLK = 3;
} else
if ( n >= 305 && n < 377 ) {
	BLK = 7;
} else
if ( n >= 377 && n < 428 ) {
	BLK = 3;
} else
if ( n >= 428 && n < 472 ) {
	BLK = 10;
} else
if ( n >= 472 && n < 625 ) {
	BLK = 3;
} else
if ( n >= 625 && n < 703 ) {
	BLK = 7;
} else
if ( n >= 703 && n < 777 ) {
	BLK = 3;
} else
if ( n >= 777 && n < 856 ) {
	BLK = 7;
} else
if ( n >= 856 && n < 927 ) {
	BLK = 10;
} else
if ( n >= 927 && n < 1001 ) {
	BLK = 9;
} else
if ( n >= 1001 && n < 2033 ) {
	BLK = 10;
} else
if ( n >= 2033 && n < 3223 ) {
	BLK = 8;
} else
if ( n >= 3223 && n < 3252 ) {
	BLK = 11;
} else
if ( n >= 3252 && n < 3383 ) {
	BLK = 6;
} else
if ( n >= 3383 && n < 3467 ) {
	BLK = 8;
} else
if ( n >= 3467 && n < 4665 ) {
	BLK = 6;
} else
if ( n >= 4665 && n < 5610 ) {
	BLK = 1;
} else
if ( n >= 5610 && n < 6004 ) {
	BLK = 6;
} else
if ( n >= 6004 && n < 7114 ) {
	BLK = 1;
} else
if ( n >= 7114 && n < 7364 ) {
	BLK = 6;
} else
if ( n >= 7364 && n < 7448 ) {
	BLK = 1;
} else
if ( n >= 7448 && n < 7614 ) {
	BLK = 6;
} else
if ( n >= 7614 && n < 7861 ) {
	BLK = 1;
} else
if ( n >= 7861 && n < 9572 ) {
	BLK = 6;
} else
if ( n >= 9572 && n < 10270 ) {
	BLK = 1;
} else
if ( n >= 10270 && n < 10325 ) {
	BLK = 6;
} else
if ( n >= 10325 && n < 10578 ) {
	BLK = 19;
} else
if ( n >= 10578 && n < 10645 ) {
	BLK = 6;
} else
if ( n >= 10645 && n < 10862 ) {
	BLK = 1;
} else
if ( n >= 10862 && n < 11094 ) {
	BLK = 6;
} else
if ( n >= 11094 && n < 11398 ) {
	BLK = 1;
} else
if ( n >= 11398 && n < 11495 ) {
	BLK = 4;
} else
if ( n >= 11495 && n < 11661 ) {
	BLK = 19;
} else
if ( n >= 11661 && n < 11730 ) {
	BLK = 4;
} else
if ( n >= 11730 && n < 14133 ) {
	BLK = 1;
} else
if ( n >= 14133 && n < 14285 ) {
	BLK = 6;
} else
if ( n >= 14285 && n < 14972 ) {
	BLK = 1;
} else
if ( n >= 14972 && n < 16142 ) {
	BLK = 6;
} else
if ( n >= 16142 && n < 18720 ) {
	BLK = 1;
} else
if ( n >= 18720 && n < 18845 ) {
	BLK = 6;
} else
if ( n >= 18845 && n < 19533 ) {
	BLK = 19;
} else
if ( n >= 19533 && n < 19632 ) {
	BLK = 6;
} else
if ( n >= 19632 && n < 21026 ) {
	BLK = 1;
} else
if ( n >= 21026 && n < 21951 ) {
	BLK = 6;
} else
if ( n >= 21951 && n < 23346 ) {
	BLK = 1;
} else
if ( n >= 23346 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
