#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Mon Nov  7 00:46:56 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 43 ) {
	BLK = 1;
} else
if ( n >= 43 && n < 60 ) {
	BLK = 4;
} else
if ( n >= 60 && n < 122 ) {
	BLK = 9;
} else
if ( n >= 122 && n < 195 ) {
	BLK = 2;
} else
if ( n >= 195 && n < 216 ) {
	BLK = 8;
} else
if ( n >= 216 && n < 302 ) {
	BLK = 7;
} else
if ( n >= 302 && n < 336 ) {
	BLK = 8;
} else
if ( n >= 336 && n < 360 ) {
	BLK = 2;
} else
if ( n >= 360 && n < 418 ) {
	BLK = 7;
} else
if ( n >= 418 && n < 456 ) {
	BLK = 9;
} else
if ( n >= 456 && n < 458 ) {
	BLK = 2;
} else
if ( n >= 458 && n < 879 ) {
	BLK = 7;
} else
if ( n >= 879 && n < 1313 ) {
	BLK = 9;
} else
if ( n >= 1313 && n < 2054 ) {
	BLK = 2;
} else
if ( n >= 2054 && n < 2157 ) {
	BLK = 13;
} else
if ( n >= 2157 && n < 3504 ) {
	BLK = 2;
} else
if ( n >= 3504 && n < 4479 ) {
	BLK = 4;
} else
if ( n >= 4479 && n < 4704 ) {
	BLK = 1;
} else
if ( n >= 4704 && n < 4838 ) {
	BLK = 4;
} else
if ( n >= 4838 && n < 5108 ) {
	BLK = 1;
} else
if ( n >= 5108 && n < 5203 ) {
	BLK = 4;
} else
if ( n >= 5203 && n < 5373 ) {
	BLK = 1;
} else
if ( n >= 5373 && n < 5986 ) {
	BLK = 4;
} else
if ( n >= 5986 && n < 6283 ) {
	BLK = 1;
} else
if ( n >= 6283 && n < 6318 ) {
	BLK = 4;
} else
if ( n >= 6318 && n < 6454 ) {
	BLK = 3;
} else
if ( n >= 6454 && n < 7521 ) {
	BLK = 4;
} else
if ( n >= 7521 && n < 7675 ) {
	BLK = 1;
} else
if ( n >= 7675 && n < 8063 ) {
	BLK = 4;
} else
if ( n >= 8063 && n < 8224 ) {
	BLK = 1;
} else
if ( n >= 8224 && n < 9554 ) {
	BLK = 4;
} else
if ( n >= 9554 && n < 9866 ) {
	BLK = 1;
} else
if ( n >= 9866 && n < 10157 ) {
	BLK = 4;
} else
if ( n >= 10157 && n < 10285 ) {
	BLK = 1;
} else
if ( n >= 10285 && n < 10301 ) {
	BLK = 4;
} else
if ( n >= 10301 && n < 10405 ) {
	BLK = 3;
} else
if ( n >= 10405 && n < 10556 ) {
	BLK = 12;
} else
if ( n >= 10556 && n < 10567 ) {
	BLK = 3;
} else
if ( n >= 10567 && n < 11371 ) {
	BLK = 4;
} else
if ( n >= 11371 && n < 11565 ) {
	BLK = 1;
} else
if ( n >= 11565 && n < 11740 ) {
	BLK = 3;
} else
if ( n >= 11740 && n < 12426 ) {
	BLK = 4;
} else
if ( n >= 12426 && n < 12851 ) {
	BLK = 1;
} else
if ( n >= 12851 && n < 13137 ) {
	BLK = 4;
} else
if ( n >= 13137 && n < 13560 ) {
	BLK = 3;
} else
if ( n >= 13560 && n < 18794 ) {
	BLK = 4;
} else
if ( n >= 18794 && n < 19581 ) {
	BLK = 3;
} else
if ( n >= 19581 && n < 20129 ) {
	BLK = 1;
} else
if ( n >= 20129 && n < 21195 ) {
	BLK = 4;
} else
if ( n >= 21195 && n < 21384 ) {
	BLK = 1;
} else
if ( n >= 21384 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
