#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Mon Nov  7 03:16:47 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 54 ) {
	BLK = 1;
} else
if ( n >= 54 && n < 91 ) {
	BLK = 4;
} else
if ( n >= 91 && n < 119 ) {
	BLK = 8;
} else
if ( n >= 119 && n < 222 ) {
	BLK = 12;
} else
if ( n >= 222 && n < 315 ) {
	BLK = 4;
} else
if ( n >= 315 && n < 1105 ) {
	BLK = 12;
} else
if ( n >= 1105 && n < 2049 ) {
	BLK = 1;
} else
if ( n >= 2049 && n < 2140 ) {
	BLK = 3;
} else
if ( n >= 2140 && n < 2350 ) {
	BLK = 1;
} else
if ( n >= 2350 && n < 2416 ) {
	BLK = 3;
} else
if ( n >= 2416 && n < 2539 ) {
	BLK = 2;
} else
if ( n >= 2539 && n < 2662 ) {
	BLK = 1;
} else
if ( n >= 2662 && n < 3099 ) {
	BLK = 2;
} else
if ( n >= 3099 && n < 3138 ) {
	BLK = 13;
} else
if ( n >= 3138 && n < 3237 ) {
	BLK = 1;
} else
if ( n >= 3237 && n < 3372 ) {
	BLK = 13;
} else
if ( n >= 3372 && n < 3498 ) {
	BLK = 1;
} else
if ( n >= 3498 && n < 3757 ) {
	BLK = 13;
} else
if ( n >= 3757 && n < 3862 ) {
	BLK = 1;
} else
if ( n >= 3862 && n < 4005 ) {
	BLK = 3;
} else
if ( n >= 4005 && n < 4159 ) {
	BLK = 2;
} else
if ( n >= 4159 && n < 4382 ) {
	BLK = 1;
} else
if ( n >= 4382 && n < 4579 ) {
	BLK = 2;
} else
if ( n >= 4579 && n < 4736 ) {
	BLK = 1;
} else
if ( n >= 4736 && n < 4923 ) {
	BLK = 2;
} else
if ( n >= 4923 && n < 5287 ) {
	BLK = 1;
} else
if ( n >= 5287 && n < 5327 ) {
	BLK = 3;
} else
if ( n >= 5327 && n < 6384 ) {
	BLK = 2;
} else
if ( n >= 6384 && n < 6611 ) {
	BLK = 1;
} else
if ( n >= 6611 && n < 6804 ) {
	BLK = 2;
} else
if ( n >= 6804 && n < 7015 ) {
	BLK = 1;
} else
if ( n >= 7015 && n < 7073 ) {
	BLK = 13;
} else
if ( n >= 7073 && n < 7216 ) {
	BLK = 2;
} else
if ( n >= 7216 && n < 7439 ) {
	BLK = 1;
} else
if ( n >= 7439 && n < 7800 ) {
	BLK = 2;
} else
if ( n >= 7800 && n < 8138 ) {
	BLK = 1;
} else
if ( n >= 8138 && n < 8155 ) {
	BLK = 3;
} else
if ( n >= 8155 && n < 8405 ) {
	BLK = 2;
} else
if ( n >= 8405 && n < 8519 ) {
	BLK = 1;
} else
if ( n >= 8519 && n < 8658 ) {
	BLK = 3;
} else
if ( n >= 8658 && n < 8973 ) {
	BLK = 1;
} else
if ( n >= 8973 && n < 9083 ) {
	BLK = 3;
} else
if ( n >= 9083 && n < 9263 ) {
	BLK = 1;
} else
if ( n >= 9263 && n < 9709 ) {
	BLK = 2;
} else
if ( n >= 9709 && n < 9823 ) {
	BLK = 1;
} else
if ( n >= 9823 && n < 9921 ) {
	BLK = 12;
} else
if ( n >= 9921 && n < 10083 ) {
	BLK = 1;
} else
if ( n >= 10083 && n < 10115 ) {
	BLK = 13;
} else
if ( n >= 10115 && n < 10304 ) {
	BLK = 2;
} else
if ( n >= 10304 && n < 10489 ) {
	BLK = 3;
} else
if ( n >= 10489 && n < 10534 ) {
	BLK = 1;
} else
if ( n >= 10534 && n < 10724 ) {
	BLK = 2;
} else
if ( n >= 10724 && n < 10778 ) {
	BLK = 3;
} else
if ( n >= 10778 && n < 11156 ) {
	BLK = 1;
} else
if ( n >= 11156 && n < 11342 ) {
	BLK = 13;
} else
if ( n >= 11342 && n < 11358 ) {
	BLK = 2;
} else
if ( n >= 11358 && n < 11407 ) {
	BLK = 1;
} else
if ( n >= 11407 && n < 11696 ) {
	BLK = 3;
} else
if ( n >= 11696 && n < 12003 ) {
	BLK = 1;
} else
if ( n >= 12003 && n < 12247 ) {
	BLK = 2;
} else
if ( n >= 12247 && n < 12385 ) {
	BLK = 10;
} else
if ( n >= 12385 && n < 12598 ) {
	BLK = 2;
} else
if ( n >= 12598 && n < 14005 ) {
	BLK = 1;
} else
if ( n >= 14005 && n < 14197 ) {
	BLK = 2;
} else
if ( n >= 14197 && n < 14446 ) {
	BLK = 3;
} else
if ( n >= 14446 && n < 14775 ) {
	BLK = 1;
} else
if ( n >= 14775 && n < 15191 ) {
	BLK = 2;
} else
if ( n >= 15191 && n < 16164 ) {
	BLK = 1;
} else
if ( n >= 16164 && n < 16237 ) {
	BLK = 3;
} else
if ( n >= 16237 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
