#if __isFLOAT__
#define GEMV_N     SGEMV_N
#define GEMV_T     SGEMV_T
#define SYMV_U     SSYMV_U
#define SYMV_L     SSYMV_L
#define TEST_GEMV_N     "kblas-sgemv-n"
#define TEST_GEMV_T     "kblas-sgemv-t"
#define TEST_SYMV_U     "kblas-ssymv-u"
#define TEST_SYMV_L     "kblas-ssymv-l"
#define NAME_GEMV_N     "SGEMV -N"
#define NAME_GEMV_T     "SGEMV -T"
#define NAME_SYMV_U     "SSYMV -U"
#define NAME_SYMV_L     "SSYMV -L"
#define kblasgemv      kblas_sgemv
#define kblassymv      kblas_ssymv
#elif __isDOUBLE__
#define GEMV_N     DGEMV_N
#define GEMV_T     DGEMV_T
#define SYMV_U     DSYMV_U
#define SYMV_L     DSYMV_L
#define TEST_GEMV_N     "kblas-dgemv-n"
#define TEST_GEMV_T     "kblas-dgemv-t"
#define TEST_SYMV_U     "kblas-dsymv-u"
#define TEST_SYMV_L     "kblas-dsymv-l"
#define NAME_GEMV_N     "DGEMV -N"
#define NAME_GEMV_T     "DGEMV -T"
#define NAME_SYMV_U     "DSYMV -U"
#define NAME_SYMV_L     "DSYMV -L"
#define kblasgemv      kblas_dgemv
#define kblassymv      kblas_dsymv
#elif __isFLOAT_COMPLEX__
#define GEMV_N     CGEMV_N
#define GEMV_T     CGEMV_T
#define HEMV_U     CHEMV_U
#define HEMV_L     CHEMV_L
#define TEST_GEMV_N     "kblas-cgemv-n"
#define TEST_GEMV_T     "kblas-cgemv-t"
#define TEST_HEMV_U     "kblas-chemv-u"
#define TEST_HEMV_L     "kblas-chemv-l"
#define NAME_GEMV_N     "CGEMV -N"
#define NAME_GEMV_T     "CGEMV -T"
#define NAME_HEMV_U     "CHEMV -U"
#define NAME_HEMV_L     "CHEMV -L"
#define kblasgemv      kblas_cgemv
#define kblashemv      kblas_chemv
#elif __isDOUBLE_COMPLEX__
#define GEMV_N     ZGEMV_N
#define GEMV_T     ZGEMV_T
#define HEMV_U     ZHEMV_U
#define HEMV_L     ZHEMV_L
#define TEST_GEMV_N     "kblas-zgemv-n"
#define TEST_GEMV_T     "kblas-zgemv-t"
#define TEST_HEMV_U     "kblas-zhemv-u"
#define TEST_HEMV_L     "kblas-zhemv-l"
#define NAME_GEMV_N     "ZGEMV -N"
#define NAME_GEMV_T     "ZGEMV -T"
#define NAME_HEMV_U     "ZHEMV -U"
#define NAME_HEMV_L     "ZHEMV -L"
#define kblasgemv      kblas_zgemv
#define kblashemv      kblas_zhemv
#endif

