set key bottom
set grid
set pointsize 0.3
set yrange [0:]
set title "SSYMVU on a <Tesla K20c>"
set xlabel "[dimension]"
set ylabel "[GFLOPS]"
set term post eps color
set output "plot_data_K20c_SSYMVU.eps"
plot   "log-ASPEN.K2-1.5p9-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-ASPEN.K2-1.5p9-SSYMVU-K20c-367.57" , "log-CUDA-8.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-CUDA-8.0-SSYMVU-K20c-367.57" , "log-CUDA-8.0-SSYMVUnoAtomic-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-CUDA-8.0-SSYMVUnoAtomic-K20c-367.57" , "log-MAGMA-2.1.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-MAGMA-2.1.0-SSYMVU-K20c-367.57" , "log-MAGMA2-2.1.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-MAGMA2-2.1.0-SSYMVU-K20c-367.57" 
clear
set term png
set output "plot_data_K20c_SSYMVU.png"
plot   "log-ASPEN.K2-1.5p9-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-ASPEN.K2-1.5p9-SSYMVU-K20c-367.57" , "log-CUDA-8.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-CUDA-8.0-SSYMVU-K20c-367.57" , "log-CUDA-8.0-SSYMVUnoAtomic-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-CUDA-8.0-SSYMVUnoAtomic-K20c-367.57" , "log-MAGMA-2.1.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-MAGMA-2.1.0-SSYMVU-K20c-367.57" , "log-MAGMA2-2.1.0-SSYMVU-K20c-367.57" u 2:($5<2*129.78?$5:-1000) t "log-MAGMA2-2.1.0-SSYMVU-K20c-367.57" 
clear
exit
