#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Fri Oct 21 22:45:23 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2096694016
// for double or cuFloatComplex
MAXDIM= 15379
// for float
MAXDIM2= 21750
// for cuFloatComplex or DD
MAXDIM3= 10875
// for DD-Complex
MAXDIM4= 7689
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_17	1
#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 95 ) {
	BLK = 7;
} else
if ( n >= 95 && n < 387 ) {
	BLK = 4;
} else
if ( n >= 387 && n < 453 ) {
	BLK = 8;
} else
if ( n >= 453 && n < 731 ) {
	BLK = 2;
} else
if ( n >= 731 && n < 749 ) {
	BLK = 1;
} else
if ( n >= 749 && n < 827 ) {
	BLK = 6;
} else
if ( n >= 827 && n < 923 ) {
	BLK = 2;
} else
if ( n >= 923 && n < 944 ) {
	BLK = 17;
} else
if ( n >= 944 && n < 1060 ) {
	BLK = 1;
} else
if ( n >= 1060 && n < 1208 ) {
	BLK = 2;
} else
if ( n >= 1208 && n < 1406 ) {
	BLK = 6;
} else
if ( n >= 1406 && n < 1609 ) {
	BLK = 2;
} else
if ( n >= 1609 && n < 1676 ) {
	BLK = 6;
} else
if ( n >= 1676 && n < 1870 ) {
	BLK = 2;
} else
if ( n >= 1870 && n < 1956 ) {
	BLK = 6;
} else
if ( n >= 1956 && n < 2038 ) {
	BLK = 2;
} else
if ( n >= 2038 && n < 2173 ) {
	BLK = 3;
} else
if ( n >= 2173 && n < 2220 ) {
	BLK = 10;
} else
if ( n >= 2220 && n < 2230 ) {
	BLK = 3;
} else
if ( n >= 2230 && n < 2368 ) {
	BLK = 2;
} else
if ( n >= 2368 && n < 2519 ) {
	BLK = 3;
} else
if ( n >= 2519 && n < 2977 ) {
	BLK = 2;
} else
if ( n >= 2977 && n < 3036 ) {
	BLK = 3;
} else
if ( n >= 3036 && n < 4183 ) {
	BLK = 2;
} else
if ( n >= 4183 && n < 4361 ) {
	BLK = 6;
} else
if ( n >= 4361 && n < 5398 ) {
	BLK = 2;
} else
if ( n >= 5398 && n < 5663 ) {
	BLK = 6;
} else
if ( n >= 5663 && n < 5967 ) {
	BLK = 2;
} else
if ( n >= 5967 && n < 6318 ) {
	BLK = 6;
} else
if ( n >= 6318 && n < 9041 ) {
	BLK = 2;
} else
if ( n >= 9041 && n < 9211 ) {
	BLK = 1;
} else
if ( n >= 9211 && n < 10207 ) {
	BLK = 2;
} else
if ( n >= 10207 && n < 10320 ) {
	BLK = 6;
} else
if ( n >= 10320 && n < 11864 ) {
	BLK = 2;
} else
if ( n >= 11864 && n < 12079 ) {
	BLK = 6;
} else
if ( n >= 12079 && n < 13974 ) {
	BLK = 2;
} else
if ( n >= 13974 && n < 14393 ) {
	BLK = 6;
} else
if ( n >= 14393 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
