#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Oct 21 17:05:25 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2096694016
// for double or cuFloatComplex
MAXDIM= 15379
// for float
MAXDIM2= 21750
// for cuFloatComplex or DD
MAXDIM3= 10875
// for DD-Complex
MAXDIM4= 7689
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_17	1
#define	KERNEL_18	1
#define	KERNEL_19	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_16	1

if ( n >= 1 && n < 97 ) {
	BLK = 9;
} else
if ( n >= 97 && n < 111 ) {
	BLK = 17;
} else
if ( n >= 111 && n < 257 ) {
	BLK = 10;
} else
if ( n >= 257 && n < 300 ) {
	BLK = 16;
} else
if ( n >= 300 && n < 493 ) {
	BLK = 9;
} else
if ( n >= 493 && n < 525 ) {
	BLK = 7;
} else
if ( n >= 525 && n < 577 ) {
	BLK = 18;
} else
if ( n >= 577 && n < 611 ) {
	BLK = 14;
} else
if ( n >= 611 && n < 652 ) {
	BLK = 18;
} else
if ( n >= 652 && n < 685 ) {
	BLK = 7;
} else
if ( n >= 685 && n < 825 ) {
	BLK = 1;
} else
if ( n >= 825 && n < 853 ) {
	BLK = 19;
} else
if ( n >= 853 && n < 854 ) {
	BLK = 14;
} else
if ( n >= 854 && n < 913 ) {
	BLK = 7;
} else
if ( n >= 913 && n < 981 ) {
	BLK = 1;
} else
if ( n >= 981 && n < 1012 ) {
	BLK = 19;
} else
if ( n >= 1012 && n < 1094 ) {
	BLK = 18;
} else
if ( n >= 1094 && n < 1332 ) {
	BLK = 19;
} else
if ( n >= 1332 && n < 1456 ) {
	BLK = 1;
} else
if ( n >= 1456 && n < 1613 ) {
	BLK = 19;
} else
if ( n >= 1613 && n < 1705 ) {
	BLK = 8;
} else
if ( n >= 1705 && n < 1721 ) {
	BLK = 19;
} else
if ( n >= 1721 && n < 1986 ) {
	BLK = 1;
} else
if ( n >= 1986 && n < 2249 ) {
	BLK = 8;
} else
if ( n >= 2249 && n < 2396 ) {
	BLK = 18;
} else
if ( n >= 2396 && n < 2551 ) {
	BLK = 1;
} else
if ( n >= 2551 && n < 3277 ) {
	BLK = 19;
} else
if ( n >= 3277 && n < 3401 ) {
	BLK = 1;
} else
if ( n >= 3401 && n < 3564 ) {
	BLK = 18;
} else
if ( n >= 3564 && n < 3705 ) {
	BLK = 1;
} else
if ( n >= 3705 && n < 4002 ) {
	BLK = 19;
} else
if ( n >= 4002 && n < 4150 ) {
	BLK = 8;
} else
if ( n >= 4150 && n < 4206 ) {
	BLK = 18;
} else
if ( n >= 4206 && n < 4264 ) {
	BLK = 1;
} else
if ( n >= 4264 && n < 4813 ) {
	BLK = 19;
} else
if ( n >= 4813 && n < 4933 ) {
	BLK = 18;
} else
if ( n >= 4933 && n < 7166 ) {
	BLK = 19;
} else
if ( n >= 7166 && n < 7278 ) {
	BLK = 18;
} else
if ( n >= 7278 && n < 8087 ) {
	BLK = 19;
} else
if ( n >= 8087 && n < 8170 ) {
	BLK = 1;
} else
if ( n >= 8170 && n < 8562 ) {
	BLK = 19;
} else
if ( n >= 8562 && n < 9063 ) {
	BLK = 1;
} else
if ( n >= 9063 && n < 9206 ) {
	BLK = 18;
} else
if ( n >= 9206 && n < 9431 ) {
	BLK = 1;
} else
if ( n >= 9431 && n < 9679 ) {
	BLK = 19;
} else
if ( n >= 9679 && n < 9757 ) {
	BLK = 1;
} else
if ( n >= 9757 && n < 11085 ) {
	BLK = 19;
} else
if ( n >= 11085 && n < 11284 ) {
	BLK = 18;
} else
if ( n >= 11284 && n < 11592 ) {
	BLK = 1;
} else
if ( n >= 11592 && n < 14514 ) {
	BLK = 19;
} else
if ( n >= 14514 && n < 14743 ) {
	BLK = 18;
} else
if ( n >= 14743 && n < 1000000 ) {
	BLK = 19;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 19;
}
