#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Fri Nov 11 06:04:31 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 77 ) {
	BLK = 14;
} else
if ( n >= 77 && n < 93 ) {
	BLK = 4;
} else
if ( n >= 93 && n < 204 ) {
	BLK = 3;
} else
if ( n >= 204 && n < 261 ) {
	BLK = 2;
} else
if ( n >= 261 && n < 309 ) {
	BLK = 3;
} else
if ( n >= 309 && n < 401 ) {
	BLK = 2;
} else
if ( n >= 401 && n < 538 ) {
	BLK = 3;
} else
if ( n >= 538 && n < 641 ) {
	BLK = 10;
} else
if ( n >= 641 && n < 751 ) {
	BLK = 3;
} else
if ( n >= 751 && n < 793 ) {
	BLK = 11;
} else
if ( n >= 793 && n < 847 ) {
	BLK = 10;
} else
if ( n >= 847 && n < 912 ) {
	BLK = 3;
} else
if ( n >= 912 && n < 951 ) {
	BLK = 2;
} else
if ( n >= 951 && n < 992 ) {
	BLK = 11;
} else
if ( n >= 992 && n < 1013 ) {
	BLK = 4;
} else
if ( n >= 1013 && n < 1123 ) {
	BLK = 8;
} else
if ( n >= 1123 && n < 1185 ) {
	BLK = 11;
} else
if ( n >= 1185 && n < 1255 ) {
	BLK = 2;
} else
if ( n >= 1255 && n < 1270 ) {
	BLK = 10;
} else
if ( n >= 1270 && n < 1294 ) {
	BLK = 3;
} else
if ( n >= 1294 && n < 1406 ) {
	BLK = 6;
} else
if ( n >= 1406 && n < 1532 ) {
	BLK = 3;
} else
if ( n >= 1532 && n < 1619 ) {
	BLK = 2;
} else
if ( n >= 1619 && n < 2075 ) {
	BLK = 13;
} else
if ( n >= 2075 && n < 2099 ) {
	BLK = 3;
} else
if ( n >= 2099 && n < 2263 ) {
	BLK = 2;
} else
if ( n >= 2263 && n < 2429 ) {
	BLK = 1;
} else
if ( n >= 2429 && n < 2557 ) {
	BLK = 2;
} else
if ( n >= 2557 && n < 2669 ) {
	BLK = 3;
} else
if ( n >= 2669 && n < 2781 ) {
	BLK = 2;
} else
if ( n >= 2781 && n < 3006 ) {
	BLK = 3;
} else
if ( n >= 3006 && n < 3191 ) {
	BLK = 1;
} else
if ( n >= 3191 && n < 3383 ) {
	BLK = 3;
} else
if ( n >= 3383 && n < 3551 ) {
	BLK = 2;
} else
if ( n >= 3551 && n < 3775 ) {
	BLK = 3;
} else
if ( n >= 3775 && n < 3997 ) {
	BLK = 2;
} else
if ( n >= 3997 && n < 4438 ) {
	BLK = 3;
} else
if ( n >= 4438 && n < 4856 ) {
	BLK = 2;
} else
if ( n >= 4856 && n < 5055 ) {
	BLK = 3;
} else
if ( n >= 5055 && n < 5212 ) {
	BLK = 2;
} else
if ( n >= 5212 && n < 5381 ) {
	BLK = 3;
} else
if ( n >= 5381 && n < 5419 ) {
	BLK = 2;
} else
if ( n >= 5419 && n < 5671 ) {
	BLK = 3;
} else
if ( n >= 5671 && n < 5906 ) {
	BLK = 2;
} else
if ( n >= 5906 && n < 6011 ) {
	BLK = 3;
} else
if ( n >= 6011 && n < 6400 ) {
	BLK = 2;
} else
if ( n >= 6400 && n < 6476 ) {
	BLK = 3;
} else
if ( n >= 6476 && n < 7791 ) {
	BLK = 2;
} else
if ( n >= 7791 && n < 8060 ) {
	BLK = 3;
} else
if ( n >= 8060 && n < 9713 ) {
	BLK = 2;
} else
if ( n >= 9713 && n < 9868 ) {
	BLK = 3;
} else
if ( n >= 9868 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
