#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Thu Nov 10 21:22:53 JST 2016
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1

if ( n >= 1 && n < 73 ) {
	BLK = 11;
} else
if ( n >= 73 && n < 88 ) {
	BLK = 5;
} else
if ( n >= 88 && n < 192 ) {
	BLK = 8;
} else
if ( n >= 192 && n < 255 ) {
	BLK = 5;
} else
if ( n >= 255 && n < 301 ) {
	BLK = 12;
} else
if ( n >= 301 && n < 342 ) {
	BLK = 8;
} else
if ( n >= 342 && n < 402 ) {
	BLK = 12;
} else
if ( n >= 402 && n < 407 ) {
	BLK = 5;
} else
if ( n >= 407 && n < 469 ) {
	BLK = 8;
} else
if ( n >= 469 && n < 503 ) {
	BLK = 5;
} else
if ( n >= 503 && n < 545 ) {
	BLK = 12;
} else
if ( n >= 545 && n < 554 ) {
	BLK = 8;
} else
if ( n >= 554 && n < 681 ) {
	BLK = 5;
} else
if ( n >= 681 && n < 1747 ) {
	BLK = 8;
} else
if ( n >= 1747 && n < 1793 ) {
	BLK = 5;
} else
if ( n >= 1793 && n < 3319 ) {
	BLK = 8;
} else
if ( n >= 3319 && n < 5257 ) {
	BLK = 15;
} else
if ( n >= 5257 && n < 5455 ) {
	BLK = 2;
} else
if ( n >= 5455 && n < 6366 ) {
	BLK = 15;
} else
if ( n >= 6366 && n < 6489 ) {
	BLK = 2;
} else
if ( n >= 6489 && n < 7121 ) {
	BLK = 15;
} else
if ( n >= 7121 && n < 7525 ) {
	BLK = 2;
} else
if ( n >= 7525 && n < 8049 ) {
	BLK = 15;
} else
if ( n >= 8049 && n < 8053 ) {
	BLK = 2;
} else
if ( n >= 8053 && n < 8134 ) {
	BLK = 1;
} else
if ( n >= 8134 && n < 8329 ) {
	BLK = 2;
} else
if ( n >= 8329 && n < 8564 ) {
	BLK = 15;
} else
if ( n >= 8564 && n < 8805 ) {
	BLK = 2;
} else
if ( n >= 8805 && n < 9677 ) {
	BLK = 15;
} else
if ( n >= 9677 && n < 9862 ) {
	BLK = 2;
} else
if ( n >= 9862 && n < 10149 ) {
	BLK = 15;
} else
if ( n >= 10149 && n < 10327 ) {
	BLK = 2;
} else
if ( n >= 10327 && n < 10606 ) {
	BLK = 15;
} else
if ( n >= 10606 && n < 10992 ) {
	BLK = 2;
} else
if ( n >= 10992 && n < 11751 ) {
	BLK = 15;
} else
if ( n >= 11751 && n < 11835 ) {
	BLK = 2;
} else
if ( n >= 11835 && n < 12086 ) {
	BLK = 15;
} else
if ( n >= 12086 && n < 12475 ) {
	BLK = 2;
} else
if ( n >= 12475 && n < 12671 ) {
	BLK = 15;
} else
if ( n >= 12671 && n < 13116 ) {
	BLK = 2;
} else
if ( n >= 13116 && n < 13842 ) {
	BLK = 15;
} else
if ( n >= 13842 && n < 14265 ) {
	BLK = 2;
} else
if ( n >= 14265 && n < 14734 ) {
	BLK = 15;
} else
if ( n >= 14734 && n < 15640 ) {
	BLK = 2;
} else
if ( n >= 15640 && n < 16031 ) {
	BLK = 15;
} else
if ( n >= 16031 && n < 16601 ) {
	BLK = 2;
} else
if ( n >= 16601 && n < 17482 ) {
	BLK = 15;
} else
if ( n >= 17482 && n < 18134 ) {
	BLK = 2;
} else
if ( n >= 18134 && n < 21577 ) {
	BLK = 15;
} else
if ( n >= 21577 && n < 21748 ) {
	BLK = 2;
} else
if ( n >= 21748 && n < 1000000 ) {
	BLK = 15;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 15;
}
