#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Fri Nov  4 22:12:37 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_18	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 112 ) {
	BLK = 18;
} else
if ( n >= 112 && n < 145 ) {
	BLK = 16;
} else
if ( n >= 145 && n < 504 ) {
	BLK = 14;
} else
if ( n >= 504 && n < 535 ) {
	BLK = 2;
} else
if ( n >= 535 && n < 594 ) {
	BLK = 6;
} else
if ( n >= 594 && n < 870 ) {
	BLK = 14;
} else
if ( n >= 870 && n < 945 ) {
	BLK = 2;
} else
if ( n >= 945 && n < 1708 ) {
	BLK = 14;
} else
if ( n >= 1708 && n < 2231 ) {
	BLK = 6;
} else
if ( n >= 2231 && n < 2437 ) {
	BLK = 11;
} else
if ( n >= 2437 && n < 2951 ) {
	BLK = 14;
} else
if ( n >= 2951 && n < 3454 ) {
	BLK = 16;
} else
if ( n >= 3454 && n < 3644 ) {
	BLK = 9;
} else
if ( n >= 3644 && n < 4369 ) {
	BLK = 5;
} else
if ( n >= 4369 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
