#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Sat Nov  5 00:27:38 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 86 ) {
	BLK = 8;
} else
if ( n >= 86 && n < 120 ) {
	BLK = 4;
} else
if ( n >= 120 && n < 150 ) {
	BLK = 2;
} else
if ( n >= 150 && n < 154 ) {
	BLK = 3;
} else
if ( n >= 154 && n < 222 ) {
	BLK = 6;
} else
if ( n >= 222 && n < 227 ) {
	BLK = 8;
} else
if ( n >= 227 && n < 274 ) {
	BLK = 14;
} else
if ( n >= 274 && n < 329 ) {
	BLK = 6;
} else
if ( n >= 329 && n < 366 ) {
	BLK = 14;
} else
if ( n >= 366 && n < 373 ) {
	BLK = 2;
} else
if ( n >= 373 && n < 460 ) {
	BLK = 6;
} else
if ( n >= 460 && n < 513 ) {
	BLK = 14;
} else
if ( n >= 513 && n < 650 ) {
	BLK = 6;
} else
if ( n >= 650 && n < 737 ) {
	BLK = 4;
} else
if ( n >= 737 && n < 951 ) {
	BLK = 6;
} else
if ( n >= 951 && n < 1162 ) {
	BLK = 14;
} else
if ( n >= 1162 && n < 2940 ) {
	BLK = 2;
} else
if ( n >= 2940 && n < 3240 ) {
	BLK = 1;
} else
if ( n >= 3240 && n < 3338 ) {
	BLK = 5;
} else
if ( n >= 3338 && n < 3556 ) {
	BLK = 2;
} else
if ( n >= 3556 && n < 3765 ) {
	BLK = 5;
} else
if ( n >= 3765 && n < 3795 ) {
	BLK = 1;
} else
if ( n >= 3795 && n < 3969 ) {
	BLK = 9;
} else
if ( n >= 3969 && n < 3993 ) {
	BLK = 1;
} else
if ( n >= 3993 && n < 4113 ) {
	BLK = 5;
} else
if ( n >= 4113 && n < 4222 ) {
	BLK = 2;
} else
if ( n >= 4222 && n < 4667 ) {
	BLK = 1;
} else
if ( n >= 4667 && n < 5053 ) {
	BLK = 2;
} else
if ( n >= 5053 && n < 5300 ) {
	BLK = 1;
} else
if ( n >= 5300 && n < 5571 ) {
	BLK = 2;
} else
if ( n >= 5571 && n < 11154 ) {
	BLK = 1;
} else
if ( n >= 11154 && n < 11351 ) {
	BLK = 2;
} else
if ( n >= 11351 && n < 12017 ) {
	BLK = 1;
} else
if ( n >= 12017 && n < 12020 ) {
	BLK = 5;
} else
if ( n >= 12020 && n < 12569 ) {
	BLK = 2;
} else
if ( n >= 12569 && n < 14643 ) {
	BLK = 1;
} else
if ( n >= 14643 && n < 15006 ) {
	BLK = 2;
} else
if ( n >= 15006 && n < 17605 ) {
	BLK = 1;
} else
if ( n >= 17605 && n < 17815 ) {
	BLK = 5;
} else
if ( n >= 17815 && n < 18064 ) {
	BLK = 11;
} else
if ( n >= 18064 && n < 18168 ) {
	BLK = 5;
} else
if ( n >= 18168 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
