#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Nov  4 01:00:15 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 62 ) {
	BLK = 1;
} else
if ( n >= 62 && n < 105 ) {
	BLK = 11;
} else
if ( n >= 105 && n < 200 ) {
	BLK = 3;
} else
if ( n >= 200 && n < 685 ) {
	BLK = 11;
} else
if ( n >= 685 && n < 706 ) {
	BLK = 16;
} else
if ( n >= 706 && n < 768 ) {
	BLK = 9;
} else
if ( n >= 768 && n < 876 ) {
	BLK = 11;
} else
if ( n >= 876 && n < 909 ) {
	BLK = 16;
} else
if ( n >= 909 && n < 954 ) {
	BLK = 9;
} else
if ( n >= 954 && n < 976 ) {
	BLK = 11;
} else
if ( n >= 976 && n < 1155 ) {
	BLK = 16;
} else
if ( n >= 1155 && n < 2319 ) {
	BLK = 3;
} else
if ( n >= 2319 && n < 2400 ) {
	BLK = 7;
} else
if ( n >= 2400 && n < 2706 ) {
	BLK = 3;
} else
if ( n >= 2706 && n < 2740 ) {
	BLK = 7;
} else
if ( n >= 2740 && n < 3743 ) {
	BLK = 3;
} else
if ( n >= 3743 && n < 3900 ) {
	BLK = 7;
} else
if ( n >= 3900 && n < 3931 ) {
	BLK = 1;
} else
if ( n >= 3931 && n < 4133 ) {
	BLK = 3;
} else
if ( n >= 4133 && n < 6844 ) {
	BLK = 1;
} else
if ( n >= 6844 && n < 6968 ) {
	BLK = 2;
} else
if ( n >= 6968 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
