#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Thu Nov  3 17:55:02 JST 2016
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_17	1
#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_10	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_3	1

if ( n >= 1 && n < 79 ) {
	BLK = 12;
} else
if ( n >= 79 && n < 127 ) {
	BLK = 7;
} else
if ( n >= 127 && n < 187 ) {
	BLK = 15;
} else
if ( n >= 187 && n < 317 ) {
	BLK = 6;
} else
if ( n >= 317 && n < 395 ) {
	BLK = 15;
} else
if ( n >= 395 && n < 477 ) {
	BLK = 6;
} else
if ( n >= 477 && n < 550 ) {
	BLK = 1;
} else
if ( n >= 550 && n < 716 ) {
	BLK = 6;
} else
if ( n >= 716 && n < 901 ) {
	BLK = 15;
} else
if ( n >= 901 && n < 3278 ) {
	BLK = 1;
} else
if ( n >= 3278 && n < 3331 ) {
	BLK = 17;
} else
if ( n >= 3331 && n < 3618 ) {
	BLK = 1;
} else
if ( n >= 3618 && n < 3661 ) {
	BLK = 17;
} else
if ( n >= 3661 && n < 3844 ) {
	BLK = 1;
} else
if ( n >= 3844 && n < 3935 ) {
	BLK = 17;
} else
if ( n >= 3935 && n < 5355 ) {
	BLK = 1;
} else
if ( n >= 5355 && n < 5494 ) {
	BLK = 4;
} else
if ( n >= 5494 && n < 6912 ) {
	BLK = 1;
} else
if ( n >= 6912 && n < 7243 ) {
	BLK = 4;
} else
if ( n >= 7243 && n < 9324 ) {
	BLK = 1;
} else
if ( n >= 9324 && n < 9384 ) {
	BLK = 4;
} else
if ( n >= 9384 && n < 9768 ) {
	BLK = 1;
} else
if ( n >= 9768 && n < 10024 ) {
	BLK = 4;
} else
if ( n >= 10024 && n < 10733 ) {
	BLK = 1;
} else
if ( n >= 10733 && n < 11079 ) {
	BLK = 4;
} else
if ( n >= 11079 && n < 11626 ) {
	BLK = 1;
} else
if ( n >= 11626 && n < 12006 ) {
	BLK = 17;
} else
if ( n >= 12006 && n < 12692 ) {
	BLK = 1;
} else
if ( n >= 12692 && n < 13144 ) {
	BLK = 4;
} else
if ( n >= 13144 && n < 14035 ) {
	BLK = 1;
} else
if ( n >= 14035 && n < 14195 ) {
	BLK = 17;
} else
if ( n >= 14195 && n < 15208 ) {
	BLK = 1;
} else
if ( n >= 15208 && n < 16019 ) {
	BLK = 4;
} else
if ( n >= 16019 && n < 16465 ) {
	BLK = 1;
} else
if ( n >= 16465 && n < 16981 ) {
	BLK = 17;
} else
if ( n >= 16981 && n < 16988 ) {
	BLK = 4;
} else
if ( n >= 16988 && n < 17596 ) {
	BLK = 1;
} else
if ( n >= 17596 && n < 18209 ) {
	BLK = 17;
} else
if ( n >= 18209 && n < 18213 ) {
	BLK = 3;
} else
if ( n >= 18213 && n < 18527 ) {
	BLK = 4;
} else
if ( n >= 18527 && n < 18781 ) {
	BLK = 10;
} else
if ( n >= 18781 && n < 18948 ) {
	BLK = 4;
} else
if ( n >= 18948 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
