#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Fri Nov  4 07:37:51 JST 2016
Host on gwacsg25
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6039118336
// for double or cuFloatComplex
MAXDIM= 26101
// for float
MAXDIM2= 36913
// for cuDoubleComplex or DD
MAXDIM3= 18456
// for DD-Complex
MAXDIM4= 13050
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 137 ) {
	BLK = 8;
} else
if ( n >= 137 && n < 144 ) {
	BLK = 7;
} else
if ( n >= 144 && n < 355 ) {
	BLK = 6;
} else
if ( n >= 355 && n < 407 ) {
	BLK = 8;
} else
if ( n >= 407 && n < 485 ) {
	BLK = 6;
} else
if ( n >= 485 && n < 541 ) {
	BLK = 7;
} else
if ( n >= 541 && n < 671 ) {
	BLK = 6;
} else
if ( n >= 671 && n < 1144 ) {
	BLK = 8;
} else
if ( n >= 1144 && n < 1193 ) {
	BLK = 11;
} else
if ( n >= 1193 && n < 2376 ) {
	BLK = 1;
} else
if ( n >= 2376 && n < 2610 ) {
	BLK = 10;
} else
if ( n >= 2610 && n < 3368 ) {
	BLK = 1;
} else
if ( n >= 3368 && n < 3616 ) {
	BLK = 10;
} else
if ( n >= 3616 && n < 3678 ) {
	BLK = 1;
} else
if ( n >= 3678 && n < 3798 ) {
	BLK = 2;
} else
if ( n >= 3798 && n < 3855 ) {
	BLK = 1;
} else
if ( n >= 3855 && n < 4327 ) {
	BLK = 3;
} else
if ( n >= 4327 && n < 4401 ) {
	BLK = 1;
} else
if ( n >= 4401 && n < 4593 ) {
	BLK = 2;
} else
if ( n >= 4593 && n < 4675 ) {
	BLK = 1;
} else
if ( n >= 4675 && n < 4806 ) {
	BLK = 3;
} else
if ( n >= 4806 && n < 4808 ) {
	BLK = 1;
} else
if ( n >= 4808 && n < 4856 ) {
	BLK = 10;
} else
if ( n >= 4856 && n < 5820 ) {
	BLK = 1;
} else
if ( n >= 5820 && n < 5929 ) {
	BLK = 10;
} else
if ( n >= 5929 && n < 6167 ) {
	BLK = 1;
} else
if ( n >= 6167 && n < 6318 ) {
	BLK = 10;
} else
if ( n >= 6318 && n < 7153 ) {
	BLK = 1;
} else
if ( n >= 7153 && n < 7312 ) {
	BLK = 2;
} else
if ( n >= 7312 && n < 7509 ) {
	BLK = 1;
} else
if ( n >= 7509 && n < 7673 ) {
	BLK = 2;
} else
if ( n >= 7673 && n < 8457 ) {
	BLK = 1;
} else
if ( n >= 8457 && n < 8536 ) {
	BLK = 10;
} else
if ( n >= 8536 && n < 8659 ) {
	BLK = 2;
} else
if ( n >= 8659 && n < 8896 ) {
	BLK = 1;
} else
if ( n >= 8896 && n < 9161 ) {
	BLK = 3;
} else
if ( n >= 9161 && n < 9804 ) {
	BLK = 1;
} else
if ( n >= 9804 && n < 9985 ) {
	BLK = 4;
} else
if ( n >= 9985 && n < 10743 ) {
	BLK = 1;
} else
if ( n >= 10743 && n < 10800 ) {
	BLK = 3;
} else
if ( n >= 10800 && n < 11029 ) {
	BLK = 2;
} else
if ( n >= 11029 && n < 11808 ) {
	BLK = 1;
} else
if ( n >= 11808 && n < 11876 ) {
	BLK = 3;
} else
if ( n >= 11876 && n < 12632 ) {
	BLK = 1;
} else
if ( n >= 12632 && n < 12815 ) {
	BLK = 3;
} else
if ( n >= 12815 && n < 13595 ) {
	BLK = 1;
} else
if ( n >= 13595 && n < 13748 ) {
	BLK = 3;
} else
if ( n >= 13748 && n < 14305 ) {
	BLK = 1;
} else
if ( n >= 14305 && n < 14837 ) {
	BLK = 10;
} else
if ( n >= 14837 && n < 15355 ) {
	BLK = 1;
} else
if ( n >= 15355 && n < 15508 ) {
	BLK = 2;
} else
if ( n >= 15508 && n < 16078 ) {
	BLK = 3;
} else
if ( n >= 16078 && n < 16672 ) {
	BLK = 1;
} else
if ( n >= 16672 && n < 17068 ) {
	BLK = 2;
} else
if ( n >= 17068 && n < 17611 ) {
	BLK = 10;
} else
if ( n >= 17611 && n < 18095 ) {
	BLK = 1;
} else
if ( n >= 18095 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
