#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Thu Nov  3 09:11:30 JST 2016
Host on gwacsg25
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6039118336
// for double or cuFloatComplex
MAXDIM= 26101
// for float
MAXDIM2= 36913
// for cuDoubleComplex or DD
MAXDIM3= 18456
// for DD-Complex
MAXDIM4= 13050
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 105 ) {
	BLK = 14;
} else
if ( n >= 105 && n < 121 ) {
	BLK = 2;
} else
if ( n >= 121 && n < 162 ) {
	BLK = 9;
} else
if ( n >= 162 && n < 212 ) {
	BLK = 13;
} else
if ( n >= 212 && n < 282 ) {
	BLK = 9;
} else
if ( n >= 282 && n < 294 ) {
	BLK = 2;
} else
if ( n >= 294 && n < 327 ) {
	BLK = 13;
} else
if ( n >= 327 && n < 368 ) {
	BLK = 10;
} else
if ( n >= 368 && n < 434 ) {
	BLK = 15;
} else
if ( n >= 434 && n < 470 ) {
	BLK = 9;
} else
if ( n >= 470 && n < 521 ) {
	BLK = 14;
} else
if ( n >= 521 && n < 522 ) {
	BLK = 15;
} else
if ( n >= 522 && n < 608 ) {
	BLK = 9;
} else
if ( n >= 608 && n < 665 ) {
	BLK = 10;
} else
if ( n >= 665 && n < 724 ) {
	BLK = 15;
} else
if ( n >= 724 && n < 780 ) {
	BLK = 9;
} else
if ( n >= 780 && n < 793 ) {
	BLK = 10;
} else
if ( n >= 793 && n < 854 ) {
	BLK = 11;
} else
if ( n >= 854 && n < 896 ) {
	BLK = 9;
} else
if ( n >= 896 && n < 1128 ) {
	BLK = 14;
} else
if ( n >= 1128 && n < 2130 ) {
	BLK = 2;
} else
if ( n >= 2130 && n < 2430 ) {
	BLK = 12;
} else
if ( n >= 2430 && n < 2506 ) {
	BLK = 7;
} else
if ( n >= 2506 && n < 2664 ) {
	BLK = 2;
} else
if ( n >= 2664 && n < 2822 ) {
	BLK = 7;
} else
if ( n >= 2822 && n < 3583 ) {
	BLK = 2;
} else
if ( n >= 3583 && n < 3815 ) {
	BLK = 12;
} else
if ( n >= 3815 && n < 4326 ) {
	BLK = 1;
} else
if ( n >= 4326 && n < 4456 ) {
	BLK = 3;
} else
if ( n >= 4456 && n < 4772 ) {
	BLK = 1;
} else
if ( n >= 4772 && n < 4864 ) {
	BLK = 3;
} else
if ( n >= 4864 && n < 6545 ) {
	BLK = 1;
} else
if ( n >= 6545 && n < 6578 ) {
	BLK = 3;
} else
if ( n >= 6578 && n < 7193 ) {
	BLK = 1;
} else
if ( n >= 7193 && n < 7469 ) {
	BLK = 3;
} else
if ( n >= 7469 && n < 7631 ) {
	BLK = 5;
} else
if ( n >= 7631 && n < 7823 ) {
	BLK = 3;
} else
if ( n >= 7823 && n < 8600 ) {
	BLK = 1;
} else
if ( n >= 8600 && n < 8701 ) {
	BLK = 3;
} else
if ( n >= 8701 && n < 10414 ) {
	BLK = 1;
} else
if ( n >= 10414 && n < 10505 ) {
	BLK = 3;
} else
if ( n >= 10505 && n < 10733 ) {
	BLK = 1;
} else
if ( n >= 10733 && n < 11009 ) {
	BLK = 5;
} else
if ( n >= 11009 && n < 12176 ) {
	BLK = 1;
} else
if ( n >= 12176 && n < 12178 ) {
	BLK = 3;
} else
if ( n >= 12178 && n < 12441 ) {
	BLK = 5;
} else
if ( n >= 12441 && n < 12591 ) {
	BLK = 3;
} else
if ( n >= 12591 && n < 13130 ) {
	BLK = 1;
} else
if ( n >= 13130 && n < 13561 ) {
	BLK = 3;
} else
if ( n >= 13561 && n < 13616 ) {
	BLK = 5;
} else
if ( n >= 13616 && n < 16230 ) {
	BLK = 1;
} else
if ( n >= 16230 && n < 16462 ) {
	BLK = 5;
} else
if ( n >= 16462 && n < 18787 ) {
	BLK = 1;
} else
if ( n >= 18787 && n < 19510 ) {
	BLK = 5;
} else
if ( n >= 19510 && n < 20584 ) {
	BLK = 1;
} else
if ( n >= 20584 && n < 20915 ) {
	BLK = 3;
} else
if ( n >= 20915 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
