#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Wed Nov  9 01:58:00 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 124 ) {
	BLK = 11;
} else
if ( n >= 124 && n < 917 ) {
	BLK = 5;
} else
if ( n >= 917 && n < 991 ) {
	BLK = 7;
} else
if ( n >= 991 && n < 1523 ) {
	BLK = 5;
} else
if ( n >= 1523 && n < 2273 ) {
	BLK = 9;
} else
if ( n >= 2273 && n < 3343 ) {
	BLK = 3;
} else
if ( n >= 3343 && n < 3619 ) {
	BLK = 9;
} else
if ( n >= 3619 && n < 3716 ) {
	BLK = 2;
} else
if ( n >= 3716 && n < 3853 ) {
	BLK = 9;
} else
if ( n >= 3853 && n < 6317 ) {
	BLK = 2;
} else
if ( n >= 6317 && n < 6563 ) {
	BLK = 1;
} else
if ( n >= 6563 && n < 6764 ) {
	BLK = 2;
} else
if ( n >= 6764 && n < 7360 ) {
	BLK = 1;
} else
if ( n >= 7360 && n < 7700 ) {
	BLK = 2;
} else
if ( n >= 7700 && n < 7883 ) {
	BLK = 1;
} else
if ( n >= 7883 && n < 10307 ) {
	BLK = 2;
} else
if ( n >= 10307 && n < 10432 ) {
	BLK = 1;
} else
if ( n >= 10432 && n < 10591 ) {
	BLK = 9;
} else
if ( n >= 10591 && n < 10605 ) {
	BLK = 1;
} else
if ( n >= 10605 && n < 11446 ) {
	BLK = 2;
} else
if ( n >= 11446 && n < 11516 ) {
	BLK = 1;
} else
if ( n >= 11516 && n < 11609 ) {
	BLK = 12;
} else
if ( n >= 11609 && n < 11972 ) {
	BLK = 1;
} else
if ( n >= 11972 && n < 12721 ) {
	BLK = 2;
} else
if ( n >= 12721 && n < 13358 ) {
	BLK = 1;
} else
if ( n >= 13358 && n < 13513 ) {
	BLK = 2;
} else
if ( n >= 13513 && n < 13943 ) {
	BLK = 3;
} else
if ( n >= 13943 && n < 16844 ) {
	BLK = 2;
} else
if ( n >= 16844 && n < 17395 ) {
	BLK = 1;
} else
if ( n >= 17395 && n < 18336 ) {
	BLK = 2;
} else
if ( n >= 18336 && n < 18573 ) {
	BLK = 3;
} else
if ( n >= 18573 && n < 18644 ) {
	BLK = 2;
} else
if ( n >= 18644 && n < 19594 ) {
	BLK = 1;
} else
if ( n >= 19594 && n < 19762 ) {
	BLK = 2;
} else
if ( n >= 19762 && n < 19983 ) {
	BLK = 3;
} else
if ( n >= 19983 && n < 20364 ) {
	BLK = 2;
} else
if ( n >= 20364 && n < 20732 ) {
	BLK = 1;
} else
if ( n >= 20732 && n < 22201 ) {
	BLK = 2;
} else
if ( n >= 22201 && n < 22290 ) {
	BLK = 1;
} else
if ( n >= 22290 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
