#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Tue Nov  8 05:59:37 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 50 ) {
	BLK = 3;
} else
if ( n >= 50 && n < 113 ) {
	BLK = 1;
} else
if ( n >= 113 && n < 117 ) {
	BLK = 7;
} else
if ( n >= 117 && n < 227 ) {
	BLK = 10;
} else
if ( n >= 227 && n < 242 ) {
	BLK = 11;
} else
if ( n >= 242 && n < 315 ) {
	BLK = 6;
} else
if ( n >= 315 && n < 881 ) {
	BLK = 10;
} else
if ( n >= 881 && n < 1053 ) {
	BLK = 9;
} else
if ( n >= 1053 && n < 1103 ) {
	BLK = 11;
} else
if ( n >= 1103 && n < 1884 ) {
	BLK = 6;
} else
if ( n >= 1884 && n < 2153 ) {
	BLK = 14;
} else
if ( n >= 2153 && n < 3267 ) {
	BLK = 3;
} else
if ( n >= 3267 && n < 3694 ) {
	BLK = 14;
} else
if ( n >= 3694 && n < 4200 ) {
	BLK = 3;
} else
if ( n >= 4200 && n < 4532 ) {
	BLK = 2;
} else
if ( n >= 4532 && n < 4620 ) {
	BLK = 1;
} else
if ( n >= 4620 && n < 4716 ) {
	BLK = 5;
} else
if ( n >= 4716 && n < 4967 ) {
	BLK = 2;
} else
if ( n >= 4967 && n < 5708 ) {
	BLK = 5;
} else
if ( n >= 5708 && n < 5730 ) {
	BLK = 1;
} else
if ( n >= 5730 && n < 5775 ) {
	BLK = 3;
} else
if ( n >= 5775 && n < 5978 ) {
	BLK = 2;
} else
if ( n >= 5978 && n < 6158 ) {
	BLK = 5;
} else
if ( n >= 6158 && n < 6419 ) {
	BLK = 2;
} else
if ( n >= 6419 && n < 6667 ) {
	BLK = 5;
} else
if ( n >= 6667 && n < 6801 ) {
	BLK = 2;
} else
if ( n >= 6801 && n < 7385 ) {
	BLK = 5;
} else
if ( n >= 7385 && n < 7504 ) {
	BLK = 2;
} else
if ( n >= 7504 && n < 7637 ) {
	BLK = 5;
} else
if ( n >= 7637 && n < 7782 ) {
	BLK = 2;
} else
if ( n >= 7782 && n < 7970 ) {
	BLK = 5;
} else
if ( n >= 7970 && n < 8037 ) {
	BLK = 1;
} else
if ( n >= 8037 && n < 8200 ) {
	BLK = 2;
} else
if ( n >= 8200 && n < 8608 ) {
	BLK = 5;
} else
if ( n >= 8608 && n < 9199 ) {
	BLK = 2;
} else
if ( n >= 9199 && n < 9483 ) {
	BLK = 5;
} else
if ( n >= 9483 && n < 10256 ) {
	BLK = 2;
} else
if ( n >= 10256 && n < 10301 ) {
	BLK = 5;
} else
if ( n >= 10301 && n < 10604 ) {
	BLK = 1;
} else
if ( n >= 10604 && n < 10663 ) {
	BLK = 5;
} else
if ( n >= 10663 && n < 10910 ) {
	BLK = 2;
} else
if ( n >= 10910 && n < 10971 ) {
	BLK = 1;
} else
if ( n >= 10971 && n < 11258 ) {
	BLK = 5;
} else
if ( n >= 11258 && n < 11415 ) {
	BLK = 2;
} else
if ( n >= 11415 && n < 11853 ) {
	BLK = 5;
} else
if ( n >= 11853 && n < 12068 ) {
	BLK = 2;
} else
if ( n >= 12068 && n < 12354 ) {
	BLK = 5;
} else
if ( n >= 12354 && n < 12727 ) {
	BLK = 2;
} else
if ( n >= 12727 && n < 12971 ) {
	BLK = 5;
} else
if ( n >= 12971 && n < 13241 ) {
	BLK = 2;
} else
if ( n >= 13241 && n < 13270 ) {
	BLK = 1;
} else
if ( n >= 13270 && n < 13414 ) {
	BLK = 5;
} else
if ( n >= 13414 && n < 14042 ) {
	BLK = 2;
} else
if ( n >= 14042 && n < 14161 ) {
	BLK = 5;
} else
if ( n >= 14161 && n < 14325 ) {
	BLK = 7;
} else
if ( n >= 14325 && n < 14663 ) {
	BLK = 3;
} else
if ( n >= 14663 && n < 15732 ) {
	BLK = 2;
} else
if ( n >= 15732 && n < 16031 ) {
	BLK = 5;
} else
if ( n >= 16031 && n < 16694 ) {
	BLK = 2;
} else
if ( n >= 16694 && n < 16856 ) {
	BLK = 5;
} else
if ( n >= 16856 && n < 18359 ) {
	BLK = 2;
} else
if ( n >= 18359 && n < 18603 ) {
	BLK = 3;
} else
if ( n >= 18603 && n < 18658 ) {
	BLK = 2;
} else
if ( n >= 18658 && n < 19623 ) {
	BLK = 5;
} else
if ( n >= 19623 && n < 20240 ) {
	BLK = 2;
} else
if ( n >= 20240 && n < 20530 ) {
	BLK = 5;
} else
if ( n >= 20530 && n < 23623 ) {
	BLK = 2;
} else
if ( n >= 23623 && n < 1000000 ) {
	BLK = 5;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 5;
}
