#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Mon Nov  7 19:17:36 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_19	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_20	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 39 ) {
	BLK = 10;
} else
if ( n >= 39 && n < 224 ) {
	BLK = 9;
} else
if ( n >= 224 && n < 278 ) {
	BLK = 8;
} else
if ( n >= 278 && n < 406 ) {
	BLK = 9;
} else
if ( n >= 406 && n < 412 ) {
	BLK = 20;
} else
if ( n >= 412 && n < 513 ) {
	BLK = 19;
} else
if ( n >= 513 && n < 686 ) {
	BLK = 8;
} else
if ( n >= 686 && n < 760 ) {
	BLK = 19;
} else
if ( n >= 760 && n < 1005 ) {
	BLK = 8;
} else
if ( n >= 1005 && n < 1155 ) {
	BLK = 19;
} else
if ( n >= 1155 && n < 2076 ) {
	BLK = 8;
} else
if ( n >= 2076 && n < 2212 ) {
	BLK = 7;
} else
if ( n >= 2212 && n < 2478 ) {
	BLK = 8;
} else
if ( n >= 2478 && n < 3200 ) {
	BLK = 7;
} else
if ( n >= 3200 && n < 3639 ) {
	BLK = 4;
} else
if ( n >= 3639 && n < 4089 ) {
	BLK = 1;
} else
if ( n >= 4089 && n < 4433 ) {
	BLK = 2;
} else
if ( n >= 4433 && n < 7190 ) {
	BLK = 1;
} else
if ( n >= 7190 && n < 7362 ) {
	BLK = 2;
} else
if ( n >= 7362 && n < 10446 ) {
	BLK = 1;
} else
if ( n >= 10446 && n < 10522 ) {
	BLK = 2;
} else
if ( n >= 10522 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
