#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Mon Nov  7 21:05:45 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 110 ) {
	BLK = 11;
} else
if ( n >= 110 && n < 171 ) {
	BLK = 12;
} else
if ( n >= 171 && n < 173 ) {
	BLK = 10;
} else
if ( n >= 173 && n < 222 ) {
	BLK = 1;
} else
if ( n >= 222 && n < 318 ) {
	BLK = 11;
} else
if ( n >= 318 && n < 336 ) {
	BLK = 12;
} else
if ( n >= 336 && n < 361 ) {
	BLK = 13;
} else
if ( n >= 361 && n < 374 ) {
	BLK = 5;
} else
if ( n >= 374 && n < 397 ) {
	BLK = 4;
} else
if ( n >= 397 && n < 440 ) {
	BLK = 11;
} else
if ( n >= 440 && n < 493 ) {
	BLK = 10;
} else
if ( n >= 493 && n < 517 ) {
	BLK = 6;
} else
if ( n >= 517 && n < 584 ) {
	BLK = 11;
} else
if ( n >= 584 && n < 617 ) {
	BLK = 1;
} else
if ( n >= 617 && n < 683 ) {
	BLK = 11;
} else
if ( n >= 683 && n < 799 ) {
	BLK = 10;
} else
if ( n >= 799 && n < 877 ) {
	BLK = 12;
} else
if ( n >= 877 && n < 932 ) {
	BLK = 1;
} else
if ( n >= 932 && n < 984 ) {
	BLK = 12;
} else
if ( n >= 984 && n < 1511 ) {
	BLK = 1;
} else
if ( n >= 1511 && n < 1735 ) {
	BLK = 12;
} else
if ( n >= 1735 && n < 2020 ) {
	BLK = 1;
} else
if ( n >= 2020 && n < 2136 ) {
	BLK = 12;
} else
if ( n >= 2136 && n < 2388 ) {
	BLK = 1;
} else
if ( n >= 2388 && n < 2822 ) {
	BLK = 2;
} else
if ( n >= 2822 && n < 2958 ) {
	BLK = 1;
} else
if ( n >= 2958 && n < 3015 ) {
	BLK = 2;
} else
if ( n >= 3015 && n < 3106 ) {
	BLK = 8;
} else
if ( n >= 3106 && n < 3218 ) {
	BLK = 1;
} else
if ( n >= 3218 && n < 3673 ) {
	BLK = 14;
} else
if ( n >= 3673 && n < 3735 ) {
	BLK = 1;
} else
if ( n >= 3735 && n < 4642 ) {
	BLK = 2;
} else
if ( n >= 4642 && n < 4710 ) {
	BLK = 12;
} else
if ( n >= 4710 && n < 4785 ) {
	BLK = 1;
} else
if ( n >= 4785 && n < 4918 ) {
	BLK = 2;
} else
if ( n >= 4918 && n < 5253 ) {
	BLK = 1;
} else
if ( n >= 5253 && n < 5309 ) {
	BLK = 14;
} else
if ( n >= 5309 && n < 7926 ) {
	BLK = 2;
} else
if ( n >= 7926 && n < 8135 ) {
	BLK = 1;
} else
if ( n >= 8135 && n < 8389 ) {
	BLK = 2;
} else
if ( n >= 8389 && n < 8583 ) {
	BLK = 1;
} else
if ( n >= 8583 && n < 8635 ) {
	BLK = 14;
} else
if ( n >= 8635 && n < 8719 ) {
	BLK = 12;
} else
if ( n >= 8719 && n < 8909 ) {
	BLK = 1;
} else
if ( n >= 8909 && n < 9059 ) {
	BLK = 2;
} else
if ( n >= 9059 && n < 9195 ) {
	BLK = 1;
} else
if ( n >= 9195 && n < 9720 ) {
	BLK = 2;
} else
if ( n >= 9720 && n < 9783 ) {
	BLK = 1;
} else
if ( n >= 9783 && n < 9965 ) {
	BLK = 12;
} else
if ( n >= 9965 && n < 10058 ) {
	BLK = 1;
} else
if ( n >= 10058 && n < 10075 ) {
	BLK = 8;
} else
if ( n >= 10075 && n < 10695 ) {
	BLK = 2;
} else
if ( n >= 10695 && n < 10887 ) {
	BLK = 12;
} else
if ( n >= 10887 && n < 11141 ) {
	BLK = 1;
} else
if ( n >= 11141 && n < 11393 ) {
	BLK = 2;
} else
if ( n >= 11393 && n < 11520 ) {
	BLK = 12;
} else
if ( n >= 11520 && n < 11655 ) {
	BLK = 1;
} else
if ( n >= 11655 && n < 11831 ) {
	BLK = 14;
} else
if ( n >= 11831 && n < 13245 ) {
	BLK = 2;
} else
if ( n >= 13245 && n < 13591 ) {
	BLK = 1;
} else
if ( n >= 13591 && n < 13682 ) {
	BLK = 8;
} else
if ( n >= 13682 && n < 14151 ) {
	BLK = 14;
} else
if ( n >= 14151 && n < 14307 ) {
	BLK = 12;
} else
if ( n >= 14307 && n < 15110 ) {
	BLK = 2;
} else
if ( n >= 15110 && n < 16230 ) {
	BLK = 1;
} else
if ( n >= 16230 && n < 1000000 ) {
	BLK = 2;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 2;
}
