#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Sun Nov  6 18:38:45 JST 2016
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_19	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_15	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 103 ) {
	BLK = 19;
} else
if ( n >= 103 && n < 125 ) {
	BLK = 1;
} else
if ( n >= 125 && n < 149 ) {
	BLK = 4;
} else
if ( n >= 149 && n < 330 ) {
	BLK = 2;
} else
if ( n >= 330 && n < 386 ) {
	BLK = 1;
} else
if ( n >= 386 && n < 429 ) {
	BLK = 9;
} else
if ( n >= 429 && n < 636 ) {
	BLK = 2;
} else
if ( n >= 636 && n < 653 ) {
	BLK = 10;
} else
if ( n >= 653 && n < 989 ) {
	BLK = 1;
} else
if ( n >= 989 && n < 1106 ) {
	BLK = 4;
} else
if ( n >= 1106 && n < 2392 ) {
	BLK = 1;
} else
if ( n >= 2392 && n < 2534 ) {
	BLK = 4;
} else
if ( n >= 2534 && n < 2692 ) {
	BLK = 1;
} else
if ( n >= 2692 && n < 2768 ) {
	BLK = 15;
} else
if ( n >= 2768 && n < 2802 ) {
	BLK = 13;
} else
if ( n >= 2802 && n < 2984 ) {
	BLK = 1;
} else
if ( n >= 2984 && n < 3096 ) {
	BLK = 3;
} else
if ( n >= 3096 && n < 3163 ) {
	BLK = 4;
} else
if ( n >= 3163 && n < 3497 ) {
	BLK = 1;
} else
if ( n >= 3497 && n < 3639 ) {
	BLK = 15;
} else
if ( n >= 3639 && n < 3900 ) {
	BLK = 1;
} else
if ( n >= 3900 && n < 3954 ) {
	BLK = 16;
} else
if ( n >= 3954 && n < 4055 ) {
	BLK = 13;
} else
if ( n >= 4055 && n < 4133 ) {
	BLK = 4;
} else
if ( n >= 4133 && n < 4357 ) {
	BLK = 1;
} else
if ( n >= 4357 && n < 4547 ) {
	BLK = 13;
} else
if ( n >= 4547 && n < 4662 ) {
	BLK = 4;
} else
if ( n >= 4662 && n < 5597 ) {
	BLK = 1;
} else
if ( n >= 5597 && n < 5762 ) {
	BLK = 4;
} else
if ( n >= 5762 && n < 5903 ) {
	BLK = 1;
} else
if ( n >= 5903 && n < 5910 ) {
	BLK = 4;
} else
if ( n >= 5910 && n < 6039 ) {
	BLK = 13;
} else
if ( n >= 6039 && n < 6136 ) {
	BLK = 15;
} else
if ( n >= 6136 && n < 6277 ) {
	BLK = 13;
} else
if ( n >= 6277 && n < 6476 ) {
	BLK = 4;
} else
if ( n >= 6476 && n < 6565 ) {
	BLK = 1;
} else
if ( n >= 6565 && n < 6809 ) {
	BLK = 13;
} else
if ( n >= 6809 && n < 7276 ) {
	BLK = 1;
} else
if ( n >= 7276 && n < 7870 ) {
	BLK = 4;
} else
if ( n >= 7870 && n < 8225 ) {
	BLK = 1;
} else
if ( n >= 8225 && n < 8311 ) {
	BLK = 13;
} else
if ( n >= 8311 && n < 9249 ) {
	BLK = 1;
} else
if ( n >= 9249 && n < 9402 ) {
	BLK = 13;
} else
if ( n >= 9402 && n < 9538 ) {
	BLK = 1;
} else
if ( n >= 9538 && n < 9705 ) {
	BLK = 13;
} else
if ( n >= 9705 && n < 9750 ) {
	BLK = 1;
} else
if ( n >= 9750 && n < 9972 ) {
	BLK = 4;
} else
if ( n >= 9972 && n < 10097 ) {
	BLK = 1;
} else
if ( n >= 10097 && n < 10102 ) {
	BLK = 3;
} else
if ( n >= 10102 && n < 10272 ) {
	BLK = 13;
} else
if ( n >= 10272 && n < 10501 ) {
	BLK = 4;
} else
if ( n >= 10501 && n < 10519 ) {
	BLK = 16;
} else
if ( n >= 10519 && n < 10691 ) {
	BLK = 13;
} else
if ( n >= 10691 && n < 10865 ) {
	BLK = 4;
} else
if ( n >= 10865 && n < 11168 ) {
	BLK = 1;
} else
if ( n >= 11168 && n < 11212 ) {
	BLK = 13;
} else
if ( n >= 11212 && n < 11255 ) {
	BLK = 15;
} else
if ( n >= 11255 && n < 11348 ) {
	BLK = 13;
} else
if ( n >= 11348 && n < 11496 ) {
	BLK = 4;
} else
if ( n >= 11496 && n < 12186 ) {
	BLK = 1;
} else
if ( n >= 12186 && n < 12423 ) {
	BLK = 13;
} else
if ( n >= 12423 && n < 12644 ) {
	BLK = 1;
} else
if ( n >= 12644 && n < 12979 ) {
	BLK = 4;
} else
if ( n >= 12979 && n < 13713 ) {
	BLK = 1;
} else
if ( n >= 13713 && n < 13961 ) {
	BLK = 15;
} else
if ( n >= 13961 && n < 14413 ) {
	BLK = 16;
} else
if ( n >= 14413 && n < 15350 ) {
	BLK = 1;
} else
if ( n >= 15350 && n < 15531 ) {
	BLK = 4;
} else
if ( n >= 15531 && n < 16337 ) {
	BLK = 1;
} else
if ( n >= 16337 && n < 16682 ) {
	BLK = 13;
} else
if ( n >= 16682 && n < 16733 ) {
	BLK = 1;
} else
if ( n >= 16733 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
